<?php
/**
 * Oswald_Customizer_Extension
 */

/**
 * Customizer Loader
 */


if ( ! class_exists( 'Oswald_Customizer_Extension' ) ) {

	/**
	 * Customizer Loader
	 *
	 * @since 1.0.0
	 */
	class Oswald_Customizer_Extension {

		/**
		 * Instance
		 *
		 * @access private
		 * @var object
		 */
		private static $instance;

		/**
		 * Initiator
		 */
		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self;
			}
			return self::$instance;
		}

		/**
		 * Constructor
		 */
		public function __construct() {

			/**
			 * Customizer
			 */
			add_action( 'customize_register', array( $this, 'customize_register' ) );
		}


		/**
		 * Add postMessage support for site title and description for the Theme Customizer.
		 *
		 * @since 1.0.0
		 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
		 */
		function customize_register( $wp_customize ) {
			/**
			 * Register Sections & Panels
			 */

			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/register-panels-and-sections.php';

			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/homepage.php';
			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/header.php';
			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/about_us.php';
			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/services.php';
			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/call_to_action.php';
			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/team.php';
			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/testimonial.php';
			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/blog.php';
			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/partners.php';
			require OSWALD_LITE_EXTENSION_DIR . '/includes/customizer/sections/homepage/contact.php';
		}

	}
}// End if().

Oswald_Customizer_Extension::get_instance();