<?php
/**
 * About Us Section
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}     
	
	/**
	 * Option: Show/Hide
	 */
	$wp_customize->add_setting( OSWALD_THEME_SETTINGS . '[about_hide]' , array(
        'default'   => false,
        'transport' => 'refresh',
        'type'              => 'option',
        'sanitize_callback' => 'oswald_sanitize_checkbox',
    ) );

    $wp_customize->add_control( OSWALD_THEME_SETTINGS . '[about_hide]', array(
        'label'    => esc_html__( 'Hide about us section?', 'oswald_lite_extension' ),
        'section'  => 'about_us-section',
        'type'     => 'checkbox',
    ) );
	
	/**
	 * Option: Image
	 */
	$wp_customize->selective_refresh->add_partial(
		'oswald[about_image]', array(
			'selector'        => '.wpd_section_about .wpd_about_video_wrapper .wpd_video_image',
			'settings'        => 'oswald[about_image]',
			'render_callback' => 'oswald_about_image_render_callback',
		)
	); 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[about_image]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/03/about_3.jpg',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[about_image]', array(
				'section'        => 'about_us-section',
				'label'          => esc_html__( 'Image', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);

	// pre title
	$wp_customize->add_setting( 'oswald[about_video_url]', array(
		'default'           => '',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[about_video_url]', array(
		'type' => 'text',
		'section' => 'about_us-section', // Add a default or your own section
		'label' => esc_html__( 'Video url' , 'oswald_lite_extension' ),
		'description' => esc_html__( 'Enter video link from youtube or vimeo.' , 'oswald_lite_extension' ),
	) );

	// pre title
	$wp_customize->selective_refresh->add_partial(
		'oswald[about_pre_title]', array(
			'selector'        => '.wpd_section_about .wpd_secondary_font',
			'settings'        => 'oswald[about_pre_title]',
			'render_callback' => 'oswald_pre_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[about_pre_title]', array(
		'default'           => 'Video presentations about us',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[about_pre_title]', array(
		'type' => 'text',
		'section' => 'about_us-section', // Add a default or your own section
		'label' => __( 'Pre title' , 'oswald_lite_extension' ),
	) );

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[about_title]', array(
			'selector'        => '.wpd_section_about .wpd_about_title',
			'settings'        => 'oswald[about_title]',
			'render_callback' => 'oswald_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[about_title]', array(
		'default'           => 'Hey, We are Oswald',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[about_title]', array(
		'type' => 'text',
		'section' => 'about_us-section', // Add a default or your own section
		'label' => __( 'Title' , 'oswald_lite_extension' ),
	) );


	// text 
	$wp_customize->selective_refresh->add_partial(
		'oswald[about_text]', array(
			'selector'        => '.wpd_section_about .wpd_about_text',
			'settings'        => 'oswald[about_text]',
			'render_callback' => 'oswald_text_render_callback',
		)
	); 
	$wp_customize->add_setting( 'oswald[about_text]',
		array(
			'default' => 'Our approach is simple. From the first stages of inception of a project, through its final stages of delivery and beyond, we aim to couple our big design agency professionalism and capabilities with the friendliness and flexibility. We take the time to get to know our clients, so that we can effectively unite their business objectives with intelligent creative digital design solutions',
			'transport' => 'postMessage',
			'type'              => 'option',
			'sanitize_callback' => 'wp_kses_post'
		)
	);
	$wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[about_text]',
		array(
			'label' => esc_html__( 'Text', 'oswald_lite_extension' ),
			'section' => 'about_us-section',
			'input_attrs' => array(
				'toolbar1' => 	'bold,italic,alignleft,aligncenter,alignright,link,unlink',
				'toolbar2' => 	'SocialIcon,LinkStyling,Columns,forecolor,undo,redo',
			)
		)
	) );



	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[about_button_label]', array(
			'selector'        => '.wpd_section_about .wpd_about_button .wpd_btn_text',
			'settings'        => 'oswald[about_button_label]',
			'render_callback' => 'oswald_about_button_label_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[about_button_label]', array(
		'default' => 'Get Started',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[about_button_label]', array(
		'type' => 'text',
		'section' => 'about_us-section', // Add a default or your own section
		'label' => esc_html__( 'Button label', 'oswald_lite_extension' ),
	) );


	$wp_customize->add_setting( 'oswald[about_button_link]', array(
		'default' => '',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'oswald[about_button_link]', array(
		'type' => 'url',
		'section' => 'about_us-section', // Add a default or your own section
		'label' => esc_html__( 'Button URL', 'oswald_lite_extension' ),
	) );


	$button_custom_color = array();
	$button_custom_color[] = array(
	    'slug'=> OSWALD_THEME_SETTINGS . '[about_button_bg_color]', 
	    'default' => oswald_option('theme-custom-color2'),
	    'label' => esc_html__('Button Background Color', 'oswald_lite_extension' ),
	    'selector' => '.wpd_section_about .wpd_about_button',
	    'callback' => 'oswald_about_button_bg_color_render_callback'
	);
	 
	$button_custom_color[] = array(
	    'slug'=> OSWALD_THEME_SETTINGS . '[about_button_color]', 
	    'default' => '#ffffff',
	    'label' => esc_html__('Button Color', 'oswald_lite_extension' ),
	    'selector' => '.wpd_section_about .wpd_about_button',
	    'callback' => 'oswald_about_button_color_render_callback'
	);

	// add the settings and controls for each color
	foreach( $button_custom_color as $color ) {

	 
	    // SETTINGS
	    $wp_customize->add_setting(
	        $color['slug'], array(
	            'default' => $color['default'],
	            'type' => 'option', 
	            'capability' => 
	            'edit_theme_options',
	            'transport'         => 'postMessage',
	            'sanitize_callback' => 'sanitize_hex_color',
	        )
	    );
	    // CONTROLS
	    $wp_customize->add_control(
	        new WP_Customize_Color_Control(
	            $wp_customize,
	            $color['slug'], 
	            array('label' => $color['label'], 
	            'section' => 'about_us-section',
	            'settings' => $color['slug'])
	        )
	    );
	}