<?php
/**
 * Blog Section
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}     
	
	/**
	 * Option: Show/Hide
	 */
	$wp_customize->add_setting( OSWALD_THEME_SETTINGS . '[homepage_blog_hide]' , array(
        'default'   => false,
        'transport' => 'refresh',
        'type'              => 'option',
        'sanitize_callback' => 'oswald_sanitize_checkbox',
    ) );

    $wp_customize->add_control( OSWALD_THEME_SETTINGS . '[homepage_blog_hide]', array(
        'label'    => esc_html__( 'Hide Blog section?', 'oswald_lite_extension' ),
        'section'  => 'homepage_blog-section',
        'type'     => 'checkbox',
    ) );
	

	// pre title
	$wp_customize->selective_refresh->add_partial(
		'oswald[homepage_blog_pre_title]', array(
			'selector'        => '.wpd_section_homepage_blog .wpd_section_homepage_pre_title .wpd_secondary_font',
			'settings'        => 'oswald[homepage_blog_pre_title]',
			'render_callback' => 'oswald_homepage_blog_pre_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[homepage_blog_pre_title]', array(
		'default'           => 'Latest news for you',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[homepage_blog_pre_title]', array(
		'type' => 'text',
		'section' => 'homepage_blog-section', // Add a default or your own section
		'label' => __( 'Pre title' , 'oswald_lite_extension' ),
	) );

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[homepage_blog_title]', array(
			'selector'        => '.wpd_section_homepage_blog .wpd_homepage_blog_title',
			'settings'        => 'oswald[homepage_blog_title]',
			'render_callback' => 'oswald_homepage_blog_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[homepage_blog_title]', array(
		'default'           => 'Read Our Blog',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[homepage_blog_title]', array(
		'type' => 'text',
		'section' => 'homepage_blog-section', // Add a default or your own section
		'label' => __( 'Title' , 'oswald_lite_extension' ),
	) );


	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[homepage_blog_text]', array(
			'selector'        => '.wpd_section_homepage_blog .wpd_homepage_blog_text',
			'settings'        => 'oswald[homepage_blog_text]',
			'render_callback' => 'oswald_homepage_blog_text_render_callback',
		)
	); 
	$wp_customize->add_setting( 'oswald[homepage_blog_text]',
		array(
			'default' => 'Vestibulum accumsan convallis massa vitae pretium. Integer viverra quis tortor nec cursus. Morbi faucibus, ipsum vel scelerisque scelerisque, enim mi auctor nibh, quis feugiat.',
			'transport' => 'postMessage',
			'type'              => 'option',
			'sanitize_callback' => 'oswald_sanitize_text'
		)
	);
	$wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[homepage_blog_text]',
		array(
			'label' => esc_html__( 'Text', 'oswald_lite_extension' ),
			'section' => 'homepage_blog-section',
			'input_attrs' => array(
				'toolbar1' => 	'bold,italic,alignleft,aligncenter,alignright,link,unlink',
				'toolbar2' => 	'SocialIcon,LinkStyling,Columns,forecolor,undo,redo',
				'height' => '160'
			)
		)
	) );