<?php
/**
 * About Us Section
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}     
	
	/**
	 * Option: Show/Hide
	 */
	$wp_customize->add_setting( OSWALD_THEME_SETTINGS . '[call_to_action_hide]' , array(
        'default'   => false,
        'transport' => 'refresh',
        'type'              => 'option',
        'sanitize_callback' => 'oswald_sanitize_checkbox',
    ) );

    $wp_customize->add_control( OSWALD_THEME_SETTINGS . '[call_to_action_hide]', array(
        'label'    => esc_html__( 'Hide Call to Action section?', 'oswald_lite_extension' ),
        'section'  => 'call_to_action-section',
        'type'     => 'checkbox',
    ) );
	
	/**
	 * Option: Image
	 */
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[call_to_action_bg_image]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/03/home_2_5.jpg',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[call_to_action_bg_image]', array(
				'section'        => 'call_to_action-section',
				'label'          => esc_html__( 'Background Image', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);


	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[call_to_action_title]', array(
			'selector'        => '.wpd_section_call_to_action .wpd_call_to_action_title',
			'settings'        => 'oswald[call_to_action_title]',
			'render_callback' => 'oswald_call_to_action_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[call_to_action_title]', array(
		'default'           => 'Got an Incredible Project?',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[call_to_action_title]', array(
		'type' => 'text',
		'section' => 'call_to_action-section', // Add a default or your own section
		'label' => __( 'Title' , 'oswald_lite_extension' ),
	) );


	// text 
	$wp_customize->selective_refresh->add_partial(
		'oswald[call_to_action_text]', array(
			'selector'        => '.wpd_section_call_to_action .wpd_call_to_action_text',
			'settings'        => 'oswald[call_to_action_text]',
			'render_callback' => 'oswald_call_to_action_text_render_callback',
		)
	); 
	$wp_customize->add_setting( 'oswald[call_to_action_text]',
		array(
			'default' => 'Lets collaborate and make an impact with our cross-discipline approach to design and development',
			'transport' => 'postMessage',
			'type'              => 'option',
			'sanitize_callback' => 'wp_kses_post'
		)
	);
	$wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[call_to_action_text]',
		array(
			'label' => esc_html__( 'Text', 'oswald_lite_extension' ),
			'section' => 'call_to_action-section',
			'input_attrs' => array(
				'toolbar1' => 	'bold,italic,alignleft,aligncenter,alignright,link,unlink',
				'toolbar2' => 	'SocialIcon,LinkStyling,Columns,forecolor,undo,redo',
			)
		)
	) );



	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[call_to_action_button_label]', array(
			'selector'        => '.wpd_section_call_to_action .wpd_call_to_action_button .wpd_btn_text',
			'settings'        => 'oswald[call_to_action_button_label]',
			'render_callback' => 'oswald_call_to_action_button_label_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[call_to_action_button_label]', array(
		'default' => 'Get in Touch',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[call_to_action_button_label]', array(
		'type' => 'text',
		'section' => 'call_to_action-section', // Add a default or your own section
		'label' => esc_html__( 'Button label', 'oswald_lite_extension' ),
	) );


	$wp_customize->add_setting( 'oswald[call_to_action_button_link]', array(
		'default' => '',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'oswald[call_to_action_button_link]', array(
		'type' => 'url',
		'section' => 'about_us-section', // Add a default or your own section
		'label' => esc_html__( 'Button URL', 'oswald_lite_extension' ),
	) );


	$button_custom_color = array();
	$button_custom_color[] = array(
	    'slug'=> OSWALD_THEME_SETTINGS . '[call_to_action_button_bg_color]', 
	    'default' => oswald_option('theme-custom-color2'),
	    'label' => esc_html__('Button Background Color', 'oswald_lite_extension' ),
	    'selector' => '.wpd_section_about .wpd_about_button',
	    'callback' => 'oswald_call_to_action_button_bg_color_render_callback'
	);
	 
	$button_custom_color[] = array(
	    'slug'=> OSWALD_THEME_SETTINGS . '[call_to_action_button_color]', 
	    'default' => '#ffffff',
	    'label' => esc_html__('Button Color', 'oswald_lite_extension' ),
	    'selector' => '.wpd_section_about .wpd_about_button',
	    'callback' => 'oswald_call_to_action_button_color_render_callback'
	);

	// add the settings and controls for each color
	foreach( $button_custom_color as $color ) {

	 
	    // SETTINGS
	    $wp_customize->add_setting(
	        $color['slug'], array(
	            'default' => $color['default'],
	            'type' => 'option', 
	            'capability' => 
	            'edit_theme_options',
	            'transport'         => 'postMessage',
	            'sanitize_callback' => 'sanitize_hex_color',
	        )
	    );
	    // CONTROLS
	    $wp_customize->add_control(
	        new WP_Customize_Color_Control(
	            $wp_customize,
	            $color['slug'], 
	            array('label' => $color['label'], 
	            'section' => 'call_to_action-section',
	            'priority' => 20,
	            'settings' => $color['slug'])
	        )
	    );
	}