<?php
/**
 * Contact Section
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}     
	
	/**
	 * Option: Show/Hide
	 */
	$wp_customize->add_setting( OSWALD_THEME_SETTINGS . '[contact_hide]' , array(
        'default'   => false,
        'transport' => 'refresh',
        'type'              => 'option',
        'sanitize_callback' => 'oswald_sanitize_checkbox',
    ) );

    $wp_customize->add_control( OSWALD_THEME_SETTINGS . '[contact_hide]', array(
        'label'    => esc_html__( 'Hide Blog section?', 'oswald_lite_extension' ),
        'section'  => 'contact-section',
        'type'     => 'checkbox',
    ) );
	

	// pre title
	$wp_customize->selective_refresh->add_partial(
		'oswald[contact_pre_title_left]', array(
			'selector'        => '.wpd_section_contact .wpd_section_contact_pre_title_left .wpd_secondary_font',
			'settings'        => 'oswald[contact_pre_title_left]',
			'render_callback' => 'oswald_contact_pre_title_left_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[contact_pre_title_left]', array(
		'default'           => 'Our contacts',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[contact_pre_title_left]', array(
		'type' => 'text',
		'section' => 'contact-section', // Add a default or your own section
		'label' => __( 'Pre title Left' , 'oswald_lite_extension' ),
	) );

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[contact_title_left]', array(
			'selector'        => '.wpd_section_contact .wpd_contact_title_left',
			'settings'        => 'oswald[contact_title_left]',
			'render_callback' => 'oswald_contact_title_left_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[contact_title_left]', array(
		'default'           => 'Get in Touch',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[contact_title_left]', array(
		'type' => 'text',
		'section' => 'contact-section', // Add a default or your own section
		'label' => __( 'Title Left' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[contact_text_left]', array(
			'selector'        => '.wpd_section_contact .wpd_contact_text_left',
			'settings'        => 'oswald[contact_text_left]',
			'render_callback' => 'oswald_contact_text_left_render_callback',
		)
	); 
	$def_contact_left = '<h5><strong>ADDRESS</strong></h5>
<p>455 Wallstreet St., New York, VA 12364, USA</p>
<h5><strong>PHONES</strong></h5>
<div><a class="wpd_styled_link wpd_custom_color" style="color: #3a405b;" href="tel:1-800-256-1234" data-color="#3a405b" data-hover-color="#222328">1-800-256-1234</a></div>
<div><a class="wpd_styled_link wpd_custom_color" style="color: #3a405b;" href="tel:1-800-327-1235" data-color="#3a405b" data-hover-color="#222328">1-800-327-1235</a></div>
<p><p>
<h5><strong>E-MAIL</strong></h5>
<p><a class="wpd_styled_link wpd_custom_color" style="color: #3a405b;" href="mailto:oswald@yoursite.com" data-color="#3a405b" data-hover-color="#222328">oswald@yoursite.com</a></p>
<p><a class="wpd_styled_link wpd_custom_color wpd_styled_link__underline_on_hover" style="color: #3b5998;" href="#" data-color="#3b5998">Facebook</a><a class="wpd_styled_link wpd_custom_color wpd_styled_link__underline_on_hover" style="color: #55acee;" href="#" data-color="#55acee">Twitter</a><a class="wpd_styled_link wpd_custom_color wpd_styled_link__underline_on_hover" style="color: #df4b38;" href="#" data-color="#df4b38">Google+</a></p>';
	$wp_customize->add_setting( 'oswald[contact_text_left]',
		array(
			'default' => $def_contact_left,
			'transport' => 'postMessage',
			'type'              => 'option',
			'sanitize_callback' => 'oswald_sanitize_text'
		)
	);
	$wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[contact_text_left]',
		array(
			'label' => esc_html__( 'Text', 'oswald_lite_extension' ),
			'section' => 'contact-section',
			'input_attrs' => array(
				'toolbar1' => 	'bold,italic,alignleft,aligncenter,alignright,link,unlink',
				'toolbar2' => 	'SocialIcon,LinkStyling,Columns,forecolor,undo,redo',
				'height' => '220'
			)
		)
	) );





	// pre title
	$wp_customize->selective_refresh->add_partial(
		'oswald[contact_pre_title_right]', array(
			'selector'        => '.wpd_section_contact .wpd_section_contact_pre_title_right .wpd_secondary_font',
			'settings'        => 'oswald[contact_pre_title_right]',
			'render_callback' => 'oswald_contact_pre_title_right_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[contact_pre_title_right]', array(
		'default'           => 'Send a message',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[contact_pre_title_right]', array(
		'type' => 'text',
		'section' => 'contact-section', // Add a default or your own section
		'label' => __( 'Pre title Right' , 'oswald_lite_extension' ),
	) );

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[contact_title_right]', array(
			'selector'        => '.wpd_section_contact .wpd_contact_title_right',
			'settings'        => 'oswald[contact_title_right]',
			'render_callback' => 'oswald_contact_title_right_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[contact_title_right]', array(
		'default'           => 'Contact Form',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[contact_title_right]', array(
		'type' => 'text',
		'section' => 'contact-section', // Add a default or your own section
		'label' => __( 'Title Left' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[contact_text_right]', array(
			'selector'        => '.wpd_section_contact .wpd_contact_text_right',
			'settings'        => 'oswald[contact_text_right]',
			'render_callback' => 'oswald_contact_text_right_render_callback',
		)
	); 
	$wp_customize->add_setting( 'oswald[contact_text_right]',
		array(
			'default' => '',
			'transport' => 'postMessage',
			'type'              => 'option',
			'sanitize_callback' => 'oswald_sanitize_text'
		)
	);
	$wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[contact_text_right]',
		array(
			'label' => esc_html__( 'Text', 'oswald_lite_extension' ),
			'section' => 'contact-section',
			'input_attrs' => array(
				'toolbar1' => 	'bold,italic,alignleft,aligncenter,alignright,link,unlink',
				'toolbar2' => 	'SocialIcon,LinkStyling,Columns,forecolor,undo,redo',
				'height' => '220'
			)
		)
	) );
