<?php
/**
 * About Us Section
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}     
	
	/**
	 * Option: Show/Hide
	 */
	$wp_customize->add_setting( OSWALD_THEME_SETTINGS . '[homepage_header_hide]' , array(
        'default'   => false,
        'transport' => 'refresh',
        'type'              => 'option',
        'sanitize_callback' => 'oswald_sanitize_checkbox',
    ) );

    $wp_customize->add_control( OSWALD_THEME_SETTINGS . '[homepage_header_hide]', array(
        'label'    => esc_html__( 'Hide header section?', 'oswald_lite_extension' ),
        'section'  => 'homepage_header-section',
        'type'     => 'checkbox',
    ) );
	
	/**
	 * Option: Image
	 */ 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[homepage_header_image]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald-lite/wp-content/uploads/sites/7/2018/08/header_1.jpg',
			'type'              => 'option',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[homepage_header_image]', array(
				'section'        => 'homepage_header-section',
				'label'          => esc_html__( 'Image', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);


	// pre title
	$wp_customize->selective_refresh->add_partial(
		'oswald[homepage_header_pre_title]', array(
			'selector'        => '.wpd_section_homepage_header .wpd_homepage_header_pre_title .wpd_secondary_font',
			'settings'        => 'oswald[homepage_header_pre_title]',
			'render_callback' => 'oswald_homepage_header_pre_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[homepage_header_pre_title]', array(
		'default'           => 'You Should Know About',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[homepage_header_pre_title]', array(
		'type' => 'text',
		'section' => 'homepage_header-section', // Add a default or your own section
		'label' => __( 'Pre title' , 'oswald_lite_extension' ),
	) );

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[homepage_header_title]', array(
			'selector'        => '.wpd_section_homepage_header .wpd_homepage_header_title',
			'settings'        => 'oswald[homepage_header_title]',
			'render_callback' => 'oswald_homepage_header_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[homepage_header_title]', array(
		'default'           => 'Our Startup',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[homepage_header_title]', array(
		'type' => 'text',
		'section' => 'homepage_header-section', // Add a default or your own section
		'label' => __( 'Title' , 'oswald_lite_extension' ),
	) );


	// text 
	$wp_customize->selective_refresh->add_partial(
		'oswald[homepage_header_text]', array(
			'selector'        => '.wpd_section_homepage_header .wpd_homepage_header_text',
			'settings'        => 'oswald[homepage_header_text]',
			'render_callback' => 'oswald_homepage_header_text_render_callback',
		)
	); 
	$wp_customize->add_setting( 'oswald[homepage_header_text]',
		array(
			'default' => 'We get up in the morning because we love what we do, making beautiful designs come to life while helping people like you',
			'transport' => 'postMessage',
			'type'              => 'option',
			'sanitize_callback' => 'wp_kses_post'
		)
	);
	$wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[homepage_header_text]',
		array(
			'label' => esc_html__( 'Text', 'oswald_lite_extension' ),
			'section' => 'homepage_header-section',
			'input_attrs' => array(
				'toolbar1' => 	'bold,italic,alignleft,aligncenter,alignright,link,unlink',
				'toolbar2' => 	'SocialIcon,LinkStyling,Columns,forecolor,undo,redo',
			)
		)
	) );



	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[homepage_header_button_label_1]', array(
			'selector'        => '.wpd_section_homepage_header .wpd_homepage_header_button_1 .wpd_btn_text',
			'settings'        => 'oswald[homepage_header_button_label_1]',
			'render_callback' => 'oswald_homepage_header_button_label_render_callback_1',
		)
	); 

	$wp_customize->add_setting( 'oswald[homepage_header_button_label_1]', array(
		'default' => 'Get Started',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[homepage_header_button_label_1]', array(
		'type' => 'text',
		'section' => 'homepage_header-section', // Add a default or your own section
		'label' => esc_html__( 'Button-1 label', 'oswald_lite_extension' ),
	) );


	$wp_customize->add_setting( 'oswald[homepage_header_button_link_1]', array(
		'default' => '',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'oswald[homepage_header_button_link_1]', array(
		'type' => 'url',
		'section' => 'homepage_header-section', // Add a default or your own section
		'label' => esc_html__( 'Button-1 URL', 'oswald_lite_extension' ),
	) );


	$button_custom_color = array();
	$button_custom_color[] = array(
	    'slug'=> OSWALD_THEME_SETTINGS . '[homepage_header_button_bg_color_1]', 
	    'default' => oswald_option('theme-custom-color2'),
	    'label' => esc_html__('Button-1 Background Color', 'oswald_lite_extension' ),
	    'selector' => '.wpd_section_homepage_header .wpd_homepage_header_button_1',
	    'callback' => 'oswald_homepage_header_button_bg_color_render_callback_1'
	);
	 
	$button_custom_color[] = array(
	    'slug'=> OSWALD_THEME_SETTINGS . '[homepage_header_button_color_1]', 
	    'default' => '#ffffff',
	    'label' => esc_html__('Button-1 Text Color', 'oswald_lite_extension' ),
	    'selector' => '.wpd_section_homepage_header .wpd_homepage_header_button_1',
	    'callback' => 'oswald_homepage_header_button_color_render_callback'
	);

	// add the settings and controls for each color
	foreach( $button_custom_color as $color ) {

	 
	    // SETTINGS
	    $wp_customize->add_setting(
	        $color['slug'], array(
	            'default' => $color['default'],
	            'type' => 'option', 
	            'capability' => 
	            'edit_theme_options',
	            'transport'         => 'postMessage',
	            'sanitize_callback' => 'sanitize_hex_color',
	        )
	    );
	    // CONTROLS
	    $wp_customize->add_control(
	        new WP_Customize_Color_Control(
	            $wp_customize,
	            $color['slug'], 
	            array('label' => $color['label'], 
	            'section' => 'homepage_header-section',
	            'settings' => $color['slug'])
	        )
	    );
	}




	$wp_customize->selective_refresh->add_partial(
		'oswald[homepage_header_button_label_2]', array(
			'selector'        => '.wpd_section_homepage_header .wpd_homepage_header_button_2 .wpd_btn_text',
			'settings'        => 'oswald[homepage_header_button_label_2]',
			'render_callback' => 'oswald_homepage_header_button_label_render_callback_2',
		)
	); 

	$wp_customize->add_setting( 'oswald[homepage_header_button_label_2]', array(
		'default' => 'Learn More',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[homepage_header_button_label_2]', array(
		'type' => 'text',
		'section' => 'homepage_header-section', // Add a default or your own section
		'label' => esc_html__( 'Button-2 label', 'oswald_lite_extension' ),
	) );


	$wp_customize->add_setting( 'oswald[homepage_header_button_link_2]', array(
		'default' => '',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'oswald[homepage_header_button_link_2]', array(
		'type' => 'url',
		'section' => 'homepage_header-section', // Add a default or your own section
		'label' => esc_html__( 'Button-2 URL', 'oswald_lite_extension' ),
	) );


	$button_custom_color = array();
	$button_custom_color[] = array(
	    'slug'=> OSWALD_THEME_SETTINGS . '[homepage_header_button_bg_color_2]', 
	    'default' => oswald_option('theme-custom-color2'),
	    'label' => esc_html__('Button-2 Background Color', 'oswald_lite_extension' ),
	    'selector' => '.wpd_section_homepage_header .wpd_homepage_header_button_2',
	    'callback' => 'oswald_homepage_header_button_bg_color_render_callback_2'
	);
	 
	$button_custom_color[] = array(
	    'slug'=> OSWALD_THEME_SETTINGS . '[homepage_header_button_color_2]', 
	    'default' => '#ffffff',
	    'label' => esc_html__('Button-2 Text Color', 'oswald_lite_extension' ),
	    'selector' => '.wpd_section_homepage_header .wpd_homepage_header_button_2',
	    'callback' => 'oswald_homepage_header_button_color_render_callback'
	);

	// add the settings and controls for each color
	foreach( $button_custom_color as $color ) {

	 
	    // SETTINGS
	    $wp_customize->add_setting(
	        $color['slug'], array(
	            'default' => $color['default'],
	            'type' => 'option', 
	            'capability' => 
	            'edit_theme_options',
	            'transport'         => 'postMessage',
	            'sanitize_callback' => 'sanitize_hex_color',
	        )
	    );
	    // CONTROLS
	    $wp_customize->add_control(
	        new WP_Customize_Color_Control(
	            $wp_customize,
	            $color['slug'], 
	            array('label' => $color['label'], 
	            'section' => 'homepage_header-section',
	            'settings' => $color['slug'])
	        )
	    );
	}