<?php
/**
 * Blog Section
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}     
	
	/**
	 * Option: Show/Hide
	 */
	$wp_customize->add_setting( OSWALD_THEME_SETTINGS . '[partners_hide]' , array(
        'default'   => false,
        'transport' => 'refresh',
        'type'              => 'option',
        'sanitize_callback' => 'oswald_sanitize_checkbox',
    ) );

    $wp_customize->add_control( OSWALD_THEME_SETTINGS . '[partners_hide]', array(
        'label'    => esc_html__( 'Hide Blog section?', 'oswald_lite_extension' ),
        'section'  => 'partners-section',
        'type'     => 'checkbox',
    ) );
	


    // partners 1
	$wp_customize->selective_refresh->add_partial(
        'oswald[partners_image_1]', array(
            'selector'        => '.wpd_section_partners .wpd_partners_item--1 .wpd_partners_item__wrapper',
            'settings'        => 'oswald[partners_image_1]',
            'render_callback' => 'oswald_partners_image_1_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[partners_image_1]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/Opscode_logo.png',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[partners_image_1]', array(
                'section' => 'partners-section',
                'label'          => esc_html__( 'Partners 1 Logo', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    $wp_customize->add_setting( 'oswald[partners_link_1]', array(
		'default' => '',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'oswald[partners_link_1]', array(
		'type' => 'url',
		'section' => 'partners-section', // Add a default or your own section
		'label' => esc_html__( 'Partners 1 URL', 'oswald_lite_extension' ),
	) );

	// partners 2
	$wp_customize->selective_refresh->add_partial(
        'oswald[partners_image_2]', array(
            'selector'        => '.wpd_section_partners .wpd_partners_item--2 .wpd_partners_item__wrapper',
            'settings'        => 'oswald[partners_image_2]',
            'render_callback' => 'oswald_partners_image_2_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[partners_image_2]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/logo-reuters.png',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[partners_image_2]', array(
                'section' => 'partners-section',
                'label'          => esc_html__( 'Partners 2 Logo', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    $wp_customize->add_setting( 'oswald[partners_link_2]', array(
		'default' => '',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'oswald[partners_link_2]', array(
		'type' => 'url',
		'section' => 'partners-section', // Add a default or your own section
		'label' => esc_html__( 'Partners 1 URL', 'oswald_lite_extension' ),
	) );

	// partners 3
	$wp_customize->selective_refresh->add_partial(
        'oswald[partners_image_3]', array(
            'selector'        => '.wpd_section_partners .wpd_partners_item--3 .wpd_partners_item__wrapper',
            'settings'        => 'oswald[partners_image_3]',
            'render_callback' => 'oswald_partners_image_3_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[partners_image_3]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/Strategy-Engine-Final-Colors-PNG.png',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[partners_image_3]', array(
                'section' => 'partners-section',
                'label'          => esc_html__( 'Partners 3 Logo', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    $wp_customize->add_setting( 'oswald[partners_link_3]', array(
		'default' => '',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'oswald[partners_link_3]', array(
		'type' => 'url',
		'section' => 'partners-section', // Add a default or your own section
		'label' => esc_html__( 'Partners 3 URL', 'oswald_lite_extension' ),
	) );

	// partners 4
	$wp_customize->selective_refresh->add_partial(
        'oswald[partners_image_4]', array(
            'selector'        => '.wpd_section_partners .wpd_partners_item--4 .wpd_partners_item__wrapper',
            'settings'        => 'oswald[partners_image_4]',
            'render_callback' => 'oswald_partners_image_4_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[partners_image_4]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/AVIS.png',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[partners_image_4]', array(
                'section' => 'partners-section',
                'label'          => esc_html__( 'Partners 4 Logo', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    $wp_customize->add_setting( 'oswald[partners_link_4]', array(
		'default' => '',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'oswald[partners_link_4]', array(
		'type' => 'url',
		'section' => 'partners-section', // Add a default or your own section
		'label' => esc_html__( 'Partners 4 URL', 'oswald_lite_extension' ),
	) );