<?php
/**
 * Services Section
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}     
	
	/**
	 * Option: Show/Hide
	 */
	$wp_customize->add_setting( OSWALD_THEME_SETTINGS . '[services_hide]' , array(
        'default'   => false,
        'transport' => 'refresh',
        'type'              => 'option',
        'sanitize_callback' => 'oswald_sanitize_checkbox',
    ) );

    $wp_customize->add_control( OSWALD_THEME_SETTINGS . '[services_hide]', array(
        'label'    => esc_html__( 'Hide Services section?', 'oswald_lite_extension' ),
        'section'  => 'services-section',
        'type'     => 'checkbox',
    ) );
	

	// pre title
	$wp_customize->selective_refresh->add_partial(
		'oswald[services_pre_title]', array(
			'selector'        => '.wpd_section_services .wpd_secondary_font',
			'settings'        => 'oswald[services_pre_title]',
			'render_callback' => 'oswald_services_pre_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[services_pre_title]', array(
		'default'           => 'All the services you ll need',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[services_pre_title]', array(
		'type' => 'text',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Pre title' , 'oswald_lite_extension' ),
	) );

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[services_title]', array(
			'selector'        => '.wpd_section_services .wpd_services_title',
			'settings'        => 'oswald[services_title]',
			'render_callback' => 'oswald_services_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[services_title]', array(
		'default'           => 'Enjoy Our Best Services',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[services_title]', array(
		'type' => 'text',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Title' , 'oswald_lite_extension' ),
	) );


	// text 
	$wp_customize->selective_refresh->add_partial(
		'oswald[services_text]', array(
			'selector'        => '.wpd_section_services .wpd_services_text',
			'settings'        => 'oswald[services_text]',
			'render_callback' => 'oswald_services_text_render_callback',
		)
	); 
	$wp_customize->add_setting( 'oswald[services_text]',
		array(
			'default' => 'We take the time to get to know our clients, so that we can effectively unite their business objectives with intelligent creative digital design solutions. That means that all of our clients can enjoy the benefits of a project that has been tailored to their exact needs',
			'transport' => 'postMessage',
			'type'              => 'option',
			'sanitize_callback' => 'wp_kses_post'
		)
	);
	$wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[services_text]',
		array(
			'label' => esc_html__( 'Text', 'oswald_lite_extension' ),
			'section' => 'services-section',
			'input_attrs' => array(
				'toolbar1' => 	'bold,italic,alignleft,aligncenter,alignright,link,unlink',
				'toolbar2' => 	'SocialIcon,LinkStyling,Columns,forecolor,undo,redo',
			)
		)
	) );



	/**
	 * Service 1
	 */
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_image_1]', array(
			'selector'        => '.wpd_section_services .wpd_service_1 .wpd_icon_box__icon',
			'settings'        => 'oswald[service_image_1]',
			'render_callback' => 'oswald_service_image_1_render_callback',
		)
	); 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[service_image_1]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/03/coding.png',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[service_image_1]', array(
				'section' => 'services-section',
				'label'          => esc_html__( 'Service 1 Icon', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_title_1]', array(
			'selector'        => '.wpd_section_services .wpd_service_1 .wpd_icon_box__title h3',
			'settings'        => 'oswald[service_title_1]',
			'render_callback' => 'oswald_services_service_title_1_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_title_1]', array(
		'default'           => 'DEVELOPMENT',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_title_1]', array(
		'type' => 'text',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 1 Title' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_text_1]', array(
			'selector'        => '.wpd_section_services .wpd_service_1 .wpd_icon_box__text',
			'settings'        => 'oswald[service_text_1]',
			'render_callback' => 'oswald_services_service_text_1_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_text_1]', array(
		'default'           => 'Designing and building business critical web apps and responsive websites is our true passion',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_text_1]', array(
		'type' => 'textarea',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 1 Text' , 'oswald_lite_extension' ),
	) );


	/**
	 * Service 2
	 */
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_image_2]', array(
			'selector'        => '.wpd_section_services .wpd_service_2 .wpd_icon_box__icon',
			'settings'        => 'oswald[service_image_2]',
			'render_callback' => 'oswald_service_image_2_render_callback',
		)
	); 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[service_image_2]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/03/idea.png',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[service_image_2]', array(
				'section' => 'services-section',
				'label'          => esc_html__( 'Service 2 Icon', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_title_2]', array(
			'selector'        => '.wpd_section_services .wpd_service_2 .wpd_icon_box__title h3',
			'settings'        => 'oswald[service_title_2]',
			'render_callback' => 'oswald_services_service_title_2_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_title_2]', array(
		'default'           => 'MARKETING',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_title_2]', array(
		'type' => 'text',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 2 Title' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_text_2]', array(
			'selector'        => '.wpd_section_services .wpd_service_2 .wpd_icon_box__text',
			'settings'        => 'oswald[service_text_2]',
			'render_callback' => 'oswald_services_service_text_2_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_text_2]', array(
		'default'           => 'Whether you are an established business or a startup, ensuring you have a well digital marketing',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_text_2]', array(
		'type' => 'textarea',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 2 Text' , 'oswald_lite_extension' ),
	) );

	/**
	 * Service 3
	 */
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_image_3]', array(
			'selector'        => '.wpd_section_services .wpd_service_3 .wpd_icon_box__icon',
			'settings'        => 'oswald[service_image_3]',
			'render_callback' => 'oswald_service_image_3_render_callback',
		)
	); 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[service_image_3]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/03/design.png',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[service_image_3]', array(
				'section' => 'services-section',
				'label'          => esc_html__( 'Service 3 Icon', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_title_3]', array(
			'selector'        => '.wpd_section_services .wpd_service_3 .wpd_icon_box__title h3',
			'settings'        => 'oswald[service_title_3]',
			'render_callback' => 'oswald_services_service_title_3_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_title_3]', array(
		'default'           => 'BRANDING',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_title_3]', array(
		'type' => 'text',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 3 Title' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_text_3]', array(
			'selector'        => '.wpd_section_services .wpd_service_3 .wpd_icon_box__text',
			'settings'        => 'oswald[service_text_3]',
			'render_callback' => 'oswald_services_service_text_3_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_text_3]', array(
		'default'           => 'Through research and exploration, we will design a memorable brand that you will be proud of',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_text_3]', array(
		'type' => 'textarea',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 3 Text' , 'oswald_lite_extension' ),
	) );


	/**
	 * Service 4
	 */
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_image_4]', array(
			'selector'        => '.wpd_section_services .wpd_service_4 .wpd_icon_box__icon',
			'settings'        => 'oswald[service_image_4]',
			'render_callback' => 'oswald_service_image_4_render_callback',
		)
	); 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[service_image_4]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/03/icon_team.png',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[service_image_4]', array(
				'section' => 'services-section',
				'label'          => esc_html__( 'Service 4 Icon', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_title_4]', array(
			'selector'        => '.wpd_section_services .wpd_service_4 .wpd_icon_box__title h3',
			'settings'        => 'oswald[service_title_4]',
			'render_callback' => 'oswald_services_service_title_4_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_title_4]', array(
		'default'           => 'EXPERIENCE',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_title_4]', array(
		'type' => 'text',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 4 Title' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_text_4]', array(
			'selector'        => '.wpd_section_services .wpd_service_4 .wpd_icon_box__text',
			'settings'        => 'oswald[service_text_4]',
			'render_callback' => 'oswald_services_service_text_4_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_text_4]', array(
		'default'           => 'Get you hands-on experience working on teams and projects. Let you meet and network with our developers',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_text_4]', array(
		'type' => 'textarea',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 4 Text' , 'oswald_lite_extension' ),
	) );


	/**
	 * Service 5
	 */
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_image_5]', array(
			'selector'        => '.wpd_section_services .wpd_service_5 .wpd_icon_box__icon',
			'settings'        => 'oswald[service_image_5]',
			'render_callback' => 'oswald_service_image_5_render_callback',
		)
	); 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[service_image_5]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/03/icon_puzzle.png',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[service_image_5]', array(
				'section' => 'services-section',
				'label'          => esc_html__( 'Service 5 Icon', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_title_5]', array(
			'selector'        => '.wpd_section_services .wpd_service_5 .wpd_icon_box__title h3',
			'settings'        => 'oswald[service_title_5]',
			'render_callback' => 'oswald_services_service_title_5_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_title_5]', array(
		'default'           => 'RESPONSIBILITY',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_title_5]', array(
		'type' => 'text',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 5 Title' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_text_5]', array(
			'selector'        => '.wpd_section_services .wpd_service_5 .wpd_icon_box__text',
			'settings'        => 'oswald[service_text_5]',
			'render_callback' => 'oswald_services_service_text_5_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_text_5]', array(
		'default'           => 'The state or fact of having a duty to deal with something or of having control over someone',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_text_5]', array(
		'type' => 'textarea',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 5 Text' , 'oswald_lite_extension' ),
	) );

	/**
	 * Service 6
	 */
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_image_6]', array(
			'selector'        => '.wpd_section_services .wpd_service_6 .wpd_icon_box__icon',
			'settings'        => 'oswald[service_image_6]',
			'render_callback' => 'oswald_service_image_6_render_callback',
		)
	); 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[service_image_6]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/03/icon_support.png',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[service_image_6]', array(
				'section' => 'services-section',
				'label'          => esc_html__( 'Service 6 Icon', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_title_6]', array(
			'selector'        => '.wpd_section_services .wpd_service_6 .wpd_icon_box__title h3',
			'settings'        => 'oswald[service_title_6]',
			'render_callback' => 'oswald_services_service_title_6_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_title_6]', array(
		'default'           => 'STRATEGY',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_title_6]', array(
		'type' => 'text',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 6 Title' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[service_text_6]', array(
			'selector'        => '.wpd_section_services .wpd_service_6 .wpd_icon_box__text',
			'settings'        => 'oswald[service_text_6]',
			'render_callback' => 'oswald_services_service_text_6_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[service_text_6]', array(
		'default'           => 'Strategy involves goals, determining actions to achieve the goals, and mobilizing resources',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[service_text_6]', array(
		'type' => 'textarea',
		'section' => 'services-section', // Add a default or your own section
		'label' => __( 'Service 6 Text' , 'oswald_lite_extension' ),
	) );