<?php
/**
 * About Us Section
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}     
	
	/**
	 * Option: Show/Hide
	 */
	$wp_customize->add_setting( OSWALD_THEME_SETTINGS . '[team_hide]' , array(
        'default'   => false,
        'transport' => 'refresh',
        'type'              => 'option',
        'sanitize_callback' => 'oswald_sanitize_checkbox',
    ) );

    $wp_customize->add_control( OSWALD_THEME_SETTINGS . '[team_hide]', array(
        'label'    => esc_html__( 'Hide team section?', 'oswald_lite_extension' ),
        'section'  => 'team-section',
        'type'     => 'checkbox',
    ) );



    // pre title
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_pre_title]', array(
            'selector'        => '.wpd_section_team .wpd_secondary_font',
            'settings'        => 'oswald[team_pre_title]',
            'render_callback' => 'oswald_team_pre_title_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_pre_title]', array(
        'default'           => 'Who we are',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_pre_title]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Pre title' , 'oswald_lite_extension' ),
    ) );

    // title
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_title]', array(
            'selector'        => '.wpd_section_team .wpd_team_title',
            'settings'        => 'oswald[team_title]',
            'render_callback' => 'oswald_team_title_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_title]', array(
        'default'           => 'Meet Our Team',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_title]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Title' , 'oswald_lite_extension' ),
    ) );


    // text 
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_text]', array(
            'selector'        => '.wpd_section_team .wpd_team_text',
            'settings'        => 'oswald[team_text]',
            'render_callback' => 'oswald_team_text_render_callback',
        )
    ); 
    $wp_customize->add_setting( 'oswald[team_text]',
        array(
            'default' => 'We are always looking for great, creative people to join our team, regardless of our current opportunities. Get in touch, and we ll be happy to chat. Designing and building business critical web apps and responsive websites is our true passion.',
            'transport' => 'postMessage',
            'type'              => 'option',
            'sanitize_callback' => 'wp_kses_post'
        )
    );
    $wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[team_text]',
        array(
            'label' => esc_html__( 'Text', 'oswald_lite_extension' ),
            'section' => 'team-section',
            'input_attrs' => array(
                'toolbar1' =>   'bold,italic,alignleft,aligncenter,alignright,link,unlink',
                'toolbar2' =>   'SocialIcon,LinkStyling,Columns,forecolor,undo,redo',
            )
        )
    ) );




    /**
     * Team 1
     */
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_image_1]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--1 .wpdaddy_team_list__image-wrapper',
            'settings'        => 'oswald[team_image_1]',
            'render_callback' => 'oswald_team_image_1_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[team_image_1]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/team-2-370x370.jpg',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[team_image_1]', array(
                'section' => 'team-section',
                'label'          => esc_html__( 'Team 1 Image', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    // title
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_title_1]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--1 .wpdaddy_team_list__title',
            'settings'        => 'oswald[team_title_1]',
            'render_callback' => 'oswald_team_title_1_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_title_1]', array(
        'default'           => 'Henry Oswald',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_title_1]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 1 Title' , 'oswald_lite_extension' ),
    ) );

    // position
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_position_1]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--1 .wpdaddy_team_list__position',
            'settings'        => 'oswald[team_position_1]',
            'render_callback' => 'oswald_team_position_1_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_position_1]', array(
        'default'           => 'Founder',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_position_1]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 1 Position' , 'oswald_lite_extension' ),
    ) );

    // social info 
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_social_1]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--1 .wpdaddy_team_list_social',
            'settings'        => 'oswald[team_social_1]',
            'render_callback' => 'oswald_team_social_1_render_callback',
        )
    ); 
    $def_soc_icon_content = '<a class="wpd_icon_link wpd_custom_color" style="font-size: 14px; color: inherit; margin-right: 15px; margin-top: 5px;" href="#" target="_blank" rel="noopener" data-hover-color="#3b5998"><i class="fa fa-facebook"></i></a><a class="wpd_icon_link wpd_custom_color" style="font-size: 14px; color: inherit; margin-right: 15px; margin-top: 5px;" href="#" target="_blank" rel="noopener" data-hover-color="#55acee"><i class="fa fa-twitter"></i></a><a class="wpd_icon_link wpd_custom_color" style="font-size: 14px; color: inherit; margin-right: 15px; margin-top: 5px;" href="#" target="_blank" rel="noopener" data-hover-color="#df4b38"><i class="fa fa-google-plus"></i></a><a class="wpd_icon_link wpd_custom_color" style="font-size: 14px; color: inherit; margin-right: 15px; margin-top: 5px;" href="#" target="_blank" rel="noopener" data-hover-color="#0084bf"><i class="fa fa-linkedin-square"></i></a>';
    $wp_customize->add_setting( 'oswald[team_social_1]',
        array(
            'default' => $def_soc_icon_content,
            'transport' => 'postMessage',
            'type'              => 'option',
            'sanitize_callback' => 'oswald_sanitize_text'
        )
    );
    $wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[team_social_1]',
        array(
            'label' => esc_html__( 'Social Info', 'oswald_lite_extension' ),
            'section' => 'team-section',
            'input_attrs' => array(
                'toolbar1' =>   'link,unlink,SocialIcon,LinkStyling,forecolor,undo,redo',
            )
        )
    ) );


    
    /**
     * Team 2
     */
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_image_2]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--2 .wpdaddy_team_list__image-wrapper',
            'settings'        => 'oswald[team_image_2]',
            'render_callback' => 'oswald_team_image_2_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[team_image_2]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/team-1-370x370.jpg',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[team_image_2]', array(
                'section' => 'team-section',
                'label'          => esc_html__( 'Team 2 Image', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    // title
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_title_2]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--2 .wpdaddy_team_list__title',
            'settings'        => 'oswald[team_title_2]',
            'render_callback' => 'oswald_team_title_2_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_title_2]', array(
        'default'           => 'David Spencer',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_title_2]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 2 Title' , 'oswald_lite_extension' ),
    ) );

    // position
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_position_2]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--2 .wpdaddy_team_list__position',
            'settings'        => 'oswald[team_position_2]',
            'render_callback' => 'oswald_team_position_2_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_position_2]', array(
        'default'           => 'Web Developer',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_position_2]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 2 Position' , 'oswald_lite_extension' ),
    ) );

    // social info 
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_social_2]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--2 .wpdaddy_team_list_social',
            'settings'        => 'oswald[team_social_2]',
            'render_callback' => 'oswald_team_social_2_render_callback',
        )
    ); 
    $wp_customize->add_setting( 'oswald[team_social_2]',
        array(
            'default' => $def_soc_icon_content,
            'transport' => 'postMessage',
            'type'              => 'option',
            'sanitize_callback' => 'wp_kses_post'
        )
    );
    $wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[team_social_2]',
        array(
            'label' => esc_html__( 'Social Info', 'oswald_lite_extension' ),
            'section' => 'team-section',
            'input_attrs' => array(
                'toolbar1' =>   'link,unlink,SocialIcon,LinkStyling,forecolor,undo,redo',
            )
        )
    ) );



    /**
     * Team 3
     */
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_image_3]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--3 .wpdaddy_team_list__image-wrapper',
            'settings'        => 'oswald[team_image_3]',
            'render_callback' => 'oswald_team_image_3_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[team_image_3]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/team-5-370x370.jpg',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[team_image_3]', array(
                'section' => 'team-section',
                'label'          => esc_html__( 'Team 3 Image', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    // title
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_title_3]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--3 .wpdaddy_team_list__title',
            'settings'        => 'oswald[team_title_3]',
            'render_callback' => 'oswald_team_title_3_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_title_3]', array(
        'default'           => 'Samanta Damon',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_title_3]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 3 Title' , 'oswald_lite_extension' ),
    ) );

    // position
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_position_3]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--3 .wpdaddy_team_list__position',
            'settings'        => 'oswald[team_position_3]',
            'render_callback' => 'oswald_team_position_3_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_position_3]', array(
        'default'           => 'Project Manager',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_position_3]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 3 Position' , 'oswald_lite_extension' ),
    ) );

    // social info 
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_social_3]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--3 .wpdaddy_team_list_social',
            'settings'        => 'oswald[team_social_3]',
            'render_callback' => 'oswald_team_social_3_render_callback',
        )
    ); 
    $wp_customize->add_setting( 'oswald[team_social_3]',
        array(
            'default' => $def_soc_icon_content,
            'transport' => 'postMessage',
            'type'              => 'option',
            'sanitize_callback' => 'wp_kses_post'
        )
    );
    $wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[team_social_3]',
        array(
            'label' => esc_html__( 'Social Info', 'oswald_lite_extension' ),
            'section' => 'team-section',
            'input_attrs' => array(
                'toolbar1' =>   'link,unlink,SocialIcon,LinkStyling,forecolor,undo,redo',
            )
        )
    ) );




    /**
     * Team 4
     */
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_image_4]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--4 .wpdaddy_team_list__image-wrapper',
            'settings'        => 'oswald[team_image_4]',
            'render_callback' => 'oswald_team_image_4_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[team_image_4]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/team-4-370x370.jpg',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[team_image_4]', array(
                'section' => 'team-section',
                'label'          => esc_html__( 'Team 4 Image', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    // title
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_title_4]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--4 .wpdaddy_team_list__title',
            'settings'        => 'oswald[team_title_4]',
            'render_callback' => 'oswald_team_title_4_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_title_4]', array(
        'default'           => 'Peter Odin',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_title_4]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 4 Title' , 'oswald_lite_extension' ),
    ) );

    // position
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_position_4]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--4 .wpdaddy_team_list__position',
            'settings'        => 'oswald[team_position_4]',
            'render_callback' => 'oswald_team_position_4_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_position_4]', array(
        'default'           => 'Attorney/Lawyer',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_position_4]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 4 Position' , 'oswald_lite_extension' ),
    ) );

    // social info 
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_social_4]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--4 .wpdaddy_team_list_social',
            'settings'        => 'oswald[team_social_4]',
            'render_callback' => 'oswald_team_social_4_render_callback',
        )
    ); 
    $wp_customize->add_setting( 'oswald[team_social_4]',
        array(
            'default' => $def_soc_icon_content,
            'transport' => 'postMessage',
            'type'              => 'option',
            'sanitize_callback' => 'wp_kses_post'
        )
    );
    $wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[team_social_4]',
        array(
            'label' => esc_html__( 'Social Info', 'oswald_lite_extension' ),
            'section' => 'team-section',
            'input_attrs' => array(
                'toolbar1' =>   'link,unlink,SocialIcon,LinkStyling,forecolor,undo,redo',
            )
        )
    ) );



    /**
     * Team 5
     */
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_image_5]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--5 .wpdaddy_team_list__image-wrapper',
            'settings'        => 'oswald[team_image_5]',
            'render_callback' => 'oswald_team_image_5_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[team_image_5]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/team-3-370x370.jpg',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[team_image_5]', array(
                'section' => 'team-section',
                'label'          => esc_html__( 'Team 5 Image', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    // title
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_title_5]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--5 .wpdaddy_team_list__title',
            'settings'        => 'oswald[team_title_5]',
            'render_callback' => 'oswald_team_title_5_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_title_5]', array(
        'default'           => 'Mary Olson',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_title_5]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 5 Title' , 'oswald_lite_extension' ),
    ) );

    // position
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_position_5]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--5 .wpdaddy_team_list__position',
            'settings'        => 'oswald[team_position_5]',
            'render_callback' => 'oswald_team_position_5_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_position_5]', array(
        'default'           => 'Web Developer',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_position_5]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 5 Position' , 'oswald_lite_extension' ),
    ) );

    // social info 
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_social_5]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--5 .wpdaddy_team_list_social',
            'settings'        => 'oswald[team_social_5]',
            'render_callback' => 'oswald_team_social_5_render_callback',
        )
    ); 
    $wp_customize->add_setting( 'oswald[team_social_5]',
        array(
            'default' => $def_soc_icon_content,
            'transport' => 'postMessage',
            'type'              => 'option',
            'sanitize_callback' => 'wp_kses_post'
        )
    );
    $wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[team_social_5]',
        array(
            'label' => esc_html__( 'Social Info', 'oswald_lite_extension' ),
            'section' => 'team-section',
            'input_attrs' => array(
                'toolbar1' =>   'link,unlink,SocialIcon,LinkStyling,forecolor,undo,redo',
            )
        )
    ) );



    /**
     * Team 6
     */
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_image_6]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--6 .wpdaddy_team_list__image-wrapper',
            'settings'        => 'oswald[team_image_6]',
            'render_callback' => 'oswald_team_image_6_render_callback',
        )
    ); 
    $wp_customize->add_setting(
        OSWALD_THEME_SETTINGS . '[team_image_6]', array(
            'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/team-6-370x370.jpg',
            'type'              => 'option',
            'transport'         => 'postMessage',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, OSWALD_THEME_SETTINGS . '[team_image_6]', array(
                'section' => 'team-section',
                'label'          => esc_html__( 'Team 6 Image', 'oswald_lite_extension' ),
                'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
            )
        )
    );

    // title
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_title_6]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--6 .wpdaddy_team_list__title',
            'settings'        => 'oswald[team_title_6]',
            'render_callback' => 'oswald_team_title_6_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_title_6]', array(
        'default'           => 'David Williams',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_title_6]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 6 Title' , 'oswald_lite_extension' ),
    ) );

    // position
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_position_6]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--6 .wpdaddy_team_list__position',
            'settings'        => 'oswald[team_position_6]',
            'render_callback' => 'oswald_team_position_6_render_callback',
        )
    ); 

    $wp_customize->add_setting( 'oswald[team_position_6]', array(
        'default'           => 'Graphic Designer',
        'transport'         => 'postMessage',
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control( 'oswald[team_position_6]', array(
        'type' => 'text',
        'section' => 'team-section', // Add a default or your own section
        'label' => __( 'Team 6 Position' , 'oswald_lite_extension' ),
    ) );

    // social info 
    $wp_customize->selective_refresh->add_partial(
        'oswald[team_social_6]', array(
            'selector'        => '.wpd_section_team .wpdaddy_team_list__item--6 .wpdaddy_team_list_social',
            'settings'        => 'oswald[team_social_6]',
            'render_callback' => 'oswald_team_social_6_render_callback',
        )
    ); 
    $wp_customize->add_setting( 'oswald[team_social_6]',
        array(
            'default' => $def_soc_icon_content,
            'transport' => 'postMessage',
            'type'              => 'option',
            'sanitize_callback' => 'wp_kses_post'
        )
    );
    $wp_customize->add_control( new Oswald_Control_TinyMCE( $wp_customize, 'oswald[team_social_6]',
        array(
            'label' => esc_html__( 'Social Info', 'oswald_lite_extension' ),
            'section' => 'team-section',
            'input_attrs' => array(
                'toolbar1' =>   'link,unlink,SocialIcon,LinkStyling,forecolor,undo,redo',
            )
        )
    ) );