<?php
/**
 * Testimonial Section
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}     
	
	/**
	 * Option: Show/Hide
	 */
	$wp_customize->add_setting( OSWALD_THEME_SETTINGS . '[testimonial_hide]' , array(
        'default'   => false,
        'transport' => 'refresh',
        'type'              => 'option',
        'sanitize_callback' => 'oswald_sanitize_checkbox',
    ) );

    $wp_customize->add_control( OSWALD_THEME_SETTINGS . '[testimonial_hide]', array(
        'label'    => esc_html__( 'Hide Testimonial section?', 'oswald_lite_extension' ),
        'section'  => 'testimonial-section',
        'type'     => 'checkbox',
    ) );
	

	// pre title
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_pre_title]', array(
			'selector'        => '.wpd_section_testimonial .wpd_testimonial_pre_title .wpd_secondary_font',
			'settings'        => 'oswald[testimonial_pre_title]',
			'render_callback' => 'oswald_testimonial_pre_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[testimonial_pre_title]', array(
		'default'           => 'Couple of worlds our clients',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[testimonial_pre_title]', array(
		'type' => 'text',
		'section' => 'testimonial-section', // Add a default or your own section
		'label' => __( 'Pre title' , 'oswald_lite_extension' ),
	) );

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_title]', array(
			'selector'        => '.wpd_section_testimonial .wpd_testimonial_title',
			'settings'        => 'oswald[testimonial_title]',
			'render_callback' => 'oswald_testimonial_title_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[testimonial_title]', array(
		'default'           => 'What Our Customers Have to Say',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[testimonial_title]', array(
		'type' => 'text',
		'section' => 'testimonial-section', // Add a default or your own section
		'label' => __( 'Title' , 'oswald_lite_extension' ),
	) );



	/**
	 * testimonial 1
	 */
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_image_1]', array(
			'selector'        => '.wpd_section_testimonial .testimonials_item_1 .testimonials_photo',
			'settings'        => 'oswald[testimonial_image_1]',
			'render_callback' => 'oswald_testimonial_image_1_render_callback',
		)
	); 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[testimonial_image_1]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/tesimonials_1-80x80.jpg',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[testimonial_image_1]', array(
				'section' => 'testimonial-section',
				'label'          => esc_html__( 'Testimonial 1 Icon', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_name_1]', array(
			'selector'        => '.wpd_section_testimonial .testimonials_item_1 .testimonials_author_name',
			'settings'        => 'oswald[testimonial_name_1]',
			'render_callback' => 'oswald_testimonial_name_1_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[testimonial_name_1]', array(
		'default'           => 'Celia Fields',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[testimonial_name_1]', array(
		'type' => 'text',
		'section' => 'testimonial-section', // Add a default or your own section
		'label' => __( 'Testimonial 1 Title' , 'oswald_lite_extension' ),
	) );

	//position
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_position_1]', array(
			'selector'        => '.wpd_section_testimonial .testimonials_item_1 .testimonials_author_position',
			'settings'        => 'oswald[testimonial_position_1]',
			'render_callback' => 'oswald_testimonial_position_1_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[testimonial_position_1]', array(
		'default'           => 'UX Expert',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[testimonial_position_1]', array(
		'type' => 'text',
		'section' => 'testimonial-section', // Add a default or your own section
		'label' => __( 'Testimonial 1 Position' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_text_1]', array(
			'selector'        => '.wpd_section_testimonial .testimonials_item_1 .testimonials-text',
			'settings'        => 'oswald[testimonial_text_1]',
			'render_callback' => 'oswald_testimonial_text_1_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[testimonial_text_1]', array(
		'default'           => 'We take the time to get to know our clients, so that we can effectively unite their business objectives with intelligent creative digital design solutions. That means that all of our clients can enjoy the benefits of a project that has been tailored to their exact needs',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[testimonial_text_1]', array(
		'type' => 'textarea',
		'section' => 'testimonial-section', // Add a default or your own section
		'label' => __( 'Testimonial 1 Text' , 'oswald_lite_extension' ),
	) );


	/**
	 * testimonial 2
	 */
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_image_2]', array(
			'selector'        => '.wpd_section_testimonial .testimonials_item_2 .testimonials_photo',
			'settings'        => 'oswald[testimonial_image_2]',
			'render_callback' => 'oswald_testimonial_image_2_render_callback',
		)
	); 
	$wp_customize->add_setting(
		OSWALD_THEME_SETTINGS . '[testimonial_image_2]', array(
			'default'           => 'https://themes.wpdaddy.com/oswald/wp-content/uploads/sites/4/2018/02/tesimonials_2-80x80.jpg',
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize, OSWALD_THEME_SETTINGS . '[testimonial_image_2]', array(
				'section' => 'testimonial-section',
				'label'          => esc_html__( 'Testimonial 2 Icon', 'oswald_lite_extension' ),
				'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			)
		)
	);

	// title
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_name_2]', array(
			'selector'        => '.wpd_section_testimonial .testimonials_item_2 .testimonials_author_name',
			'settings'        => 'oswald[testimonial_name_2]',
			'render_callback' => 'oswald_testimonial_name_2_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[testimonial_name_2]', array(
		'default'           => 'Alexander Lee',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[testimonial_name_2]', array(
		'type' => 'text',
		'section' => 'testimonial-section', // Add a default or your own section
		'label' => __( 'Testimonial 2 Title' , 'oswald_lite_extension' ),
	) );

	//position
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_position_2]', array(
			'selector'        => '.wpd_section_testimonial .testimonials_item_2 .testimonials_author_position',
			'settings'        => 'oswald[testimonial_position_2]',
			'render_callback' => 'oswald_testimonial_position_2_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[testimonial_position_2]', array(
		'default'           => 'Founder',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[testimonial_position_2]', array(
		'type' => 'text',
		'section' => 'testimonial-section', // Add a default or your own section
		'label' => __( 'Testimonial 2 Position' , 'oswald_lite_extension' ),
	) );

	// text
	$wp_customize->selective_refresh->add_partial(
		'oswald[testimonial_text_2]', array(
			'selector'        => '.wpd_section_testimonial .testimonials_item_2 .testimonials-text',
			'settings'        => 'oswald[testimonial_text_2]',
			'render_callback' => 'oswald_testimonial_text_2_render_callback',
		)
	); 

	$wp_customize->add_setting( 'oswald[testimonial_text_2]', array(
		'default'           => 'We take the time to get to know our clients, so that we can effectively unite their business objectives with intelligent creative digital design solutions. That means that all of our clients can enjoy the benefits of a project that has been tailored to their exact needs',
		'transport'         => 'postMessage',
		'type'              => 'option',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'oswald[testimonial_text_2]', array(
		'type' => 'textarea',
		'section' => 'testimonial-section', // Add a default or your own section
		'label' => __( 'Testimonial 2 Text' , 'oswald_lite_extension' ),
	) );