<?php 


if (!class_exists( 'RWMB_Loader' )) {
	return;
}

add_filter( 'rwmb_meta_boxes', 'oswald_portfolio_meta_boxes' );
function oswald_portfolio_meta_boxes( $meta_boxes ) {

	$standard_val = array(
		0 => array(
			'name' => esc_html__( 'Category', 'oswald_lite_extension' ),
			'value' => true,
			'custom_field' => true,
			'custom_field_type' => 'category',
		),
		1 => array(
			'name' => esc_html__( 'Date', 'oswald_lite_extension' ),
			'value' => true,
			'custom_field' => true,
			'custom_field_type' => 'date',
		),
		2 => array(
			'name' => esc_html__( 'Share', 'oswald_lite_extension' ),
			'value' => true,
			'custom_field' => true,
			'custom_field_type' => 'share',
		),
		3 => array(
			'name' => '',
			'description' => '',
			'address' => ''
		)
	);


    $meta_boxes[] = array(
        'title'      => esc_html__( 'Portfolio Options', 'oswald_lite_extension' ),
        'post_types' => array( 'portfolio' ),
        'context' => 'advanced',
        'fields'     => array(	 
        	array(
				'id'   => 'mb_show_portfolio_info',
				'name' => esc_html__( 'Show Portfolio Info', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
			),       
			array(
				'name' => esc_html__( 'Portfolio Info', 'oswald_lite_extension' ),
	            'id'   => 'mb_portfolio_info',
	            'type' => 'social',
	            'clone' => true,
	            'sort_clone'     => true,
	            'options' => array(
					'name'    => array(
						'name' => esc_html__( 'Title', 'oswald_lite_extension' ),
						'type_input' => "text"
						),
					'description' => array(
						'name' => esc_html__( 'Text', 'oswald_lite_extension' ),
						'type_input' => "text"
						),
					'address' => array(
						'name' => esc_html__( 'Url', 'oswald_lite_extension' ),
						'type_input' => "text"
						),
				),
				'std' => $standard_val,
	        ),
	        array(
				'id'   => 'mb_show_portfolio_facebook',
				'name' => esc_html__( 'Facebook Share', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
			), 
			array(
				'id'   => 'mb_show_portfolio_google',
				'name' => esc_html__( 'Google Share', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
			),
			array(
				'id'   => 'mb_show_portfolio_twitter',
				'name' => esc_html__( 'Twitter Share', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
			),
			array(
				'id'   => 'mb_show_portfolio_pinterest',
				'name' => esc_html__( 'Pinterest Share', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
			),
        ),
    );
    return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_pteam_meta_boxes' );
function oswald_pteam_meta_boxes( $meta_boxes ) {
    $meta_boxes[] = array(
        'title'      => esc_html__( 'Team Options', 'oswald_lite_extension' ),
        'post_types' => array( 'team' ),
        'context' => 'advanced',
        'fields'     => array(	        
        	array(
	            'name' => esc_html__( 'Member Job', 'oswald_lite_extension' ),
	            'id'   => 'position_member',
	            'type' => 'text',
	            'class' => 'field-inputs'
	        ),
			array(
				'name' => esc_html__( 'Fields', 'oswald_lite_extension' ),
	            'id'   => 'social_url',
	            'type' => 'social',
	            'clone' => true,
	            'sort_clone'     => true,
	            'desc' => esc_html__( 'Description', 'oswald_lite_extension' ),
	            'options' => array(
					'name'    => array(
						'name' => esc_html__( 'Title', 'oswald_lite_extension' ),
						'type_input' => "text"
						),
					'description' => array(
						'name' => esc_html__( 'Text', 'oswald_lite_extension' ),
						'type_input' => "text"
						),
					'address' => array(
						'name' => esc_html__( 'Url', 'oswald_lite_extension' ),
						'type_input' => "text"
						),
				),
	        ),
	        array(
				'name'     => esc_html__( 'Icons', 'oswald_lite_extension' ),
				'id'          => "icon_selection",
				'type'        => 'select_icon',
				'text_option' => true,
				'options'     => function_exists('oswald_get_all_icon') ? wpdaddy_get_all_icon() : '',
				'clone' => true,
				'sort_clone'     => true,
				'placeholder' => esc_html__( 'Select an icon', 'oswald_lite_extension' ),
				'multiple'    => false,
				'std'         => 'default',
			),
        ),
    );
    return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_blog_meta_boxes' );
function oswald_blog_meta_boxes( $meta_boxes ) {
	$meta_boxes[] = array(
		'title'      => esc_html__( 'Post Format Layout', 'oswald_lite_extension' ),
		'post_types' => array( 'post' ),
		'context' => 'advanced',
		'fields'     => array(
			// Standard Post Format
			array(
				'name'             => esc_html__( 'You can use only featured image for this post-format', 'oswald_lite_extension' ),
				'id'               => "post_format_standard",
				'type'             => 'static-text',
				'attributes' => array(
					'data-dependency' => array(
						array(
							array('formatdiv','=','0')
						),
					),
				),
			),
			// Gallery Post Format
			array(
				'name'             => esc_html__( 'Gallery images', 'oswald_lite_extension' ),
				'id'               => "post_format_gallery_images",
				'type'             => 'image_advanced',
				'max_file_uploads' => '',
				'attributes' => array(
					'data-dependency' => array(
						array(
							array('formatdiv','=','gallery')
						),
					),
				),
			),
			// Video Post Format
			array(
				'name' => esc_html__( 'oEmbed', 'oswald_lite_extension' ),
				'id'   => "post_format_video_oEmbed",
				'desc' => esc_html__( 'enter URL', 'oswald_lite_extension' ),
				'type' => 'oembed',
				'attributes' => array(
					'data-dependency' => array(
						array(
							array('formatdiv','=','video')
						),
						array(
							array('post_format_video_select','=','oEmbed')
						)
					),
				),
			),
			// Audio Post Format
			array(
				'name' => esc_html__( 'oEmbed', 'oswald_lite_extension' ),
				'id'   => "post_format_audio_oEmbed",
				'desc' => esc_html__( 'enter URL', 'oswald_lite_extension' ),
				'type' => 'oembed',
				'attributes' => array(
					'data-dependency' => array(
						array(
							array('formatdiv','=','audio')
						),
						array(
							array('post_format_audio_select','=','oEmbed')
						)
					),
				),
			),
			// Quote Post Format
			array(
				'name'             => esc_html__( 'Quote Author', 'oswald_lite_extension' ),
				'id'               => "post_format_qoute_author",
				'type'             => 'text',
				'attributes' => array(
					'data-dependency' => array(
						array(
							array('formatdiv','=','quote')
						),
					),
				),
			),
			array(
				'name'             => esc_html__( 'Author Image', 'oswald_lite_extension' ),
				'id'               => "post_format_qoute_author_image",
				'type'             => 'image_advanced',
				'max_file_uploads' => 1,
				'attributes' => array(
					'data-dependency' => array(
						array(
							array('formatdiv','=','quote')
						),
					),
				),
			),
			array(
				'name'             => esc_html__( 'Quote Content', 'oswald_lite_extension' ),
				'id'               => "post_format_qoute_text",
				'type'             => 'textarea',
				'attributes' => array(
					'data-dependency' => array(
						array(
							array('formatdiv','=','quote')
						),
					),
				),
			),
			// Link Post Format
			array(
				'name'             => esc_html__( 'Link URL', 'oswald_lite_extension' ),
				'id'               => "post_format_link",
				'type'             => 'url',
				'attributes' => array(
					'data-dependency' => array(
						array(
							array('formatdiv','=','link')
						),
					),
				),
			),
			array(
				'name'             => esc_html__( 'Link Text', 'oswald_lite_extension' ),
				'id'               => "post_format_link_text",
				'type'             => 'text',
				'attributes' => array(
					'data-dependency' => array(
						array(
							array('formatdiv','=','link')
						),
					),
				),
			),


		)
	);
	return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_page_layout_meta_boxes' );
function oswald_page_layout_meta_boxes( $meta_boxes ) {

    $meta_boxes[] = array(
        'title'      => esc_html__( 'Page Layout', 'oswald_lite_extension' ),
        'post_types' => array( 'page' , 'post', 'team', 'practice', 'product' ),
        'context' => 'advanced',
        'fields'     => array(
        	array(
				'name'     => esc_html__( 'Page Sidebar Layout', 'oswald_lite_extension' ),
				'id'          => "mb_page_sidebar_layout",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'none' => esc_html__( 'None', 'oswald_lite_extension' ),
					'left' => esc_html__( 'Left', 'oswald_lite_extension' ),
					'right' => esc_html__( 'Right', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
			),
			array(
				'name'     => esc_html__( 'Page Sidebar', 'oswald_lite_extension' ),
				'id'          => "mb_page_sidebar_def",
				'type'        => 'select',
				'options'     => oswald_get_all_sidebar(),
				'multiple'    => false,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_sidebar_layout','!=','default'),
						array('mb_page_sidebar_layout','!=','none'),
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Boxed Layout', 'oswald_lite_extension' ),
				'id'          => "mb_boxed_style",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'yes' => esc_html__( 'yes', 'oswald_lite_extension' ),
					'no' => esc_html__( 'no', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
			),
        )
    );
    return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_logo_meta_boxes' );
function oswald_logo_meta_boxes( $meta_boxes ) {
    $meta_boxes[] = array(
        'title'      => esc_html__( 'Logo Options', 'oswald_lite_extension' ),
        'post_types' => array( 'page' ),
        'context' => 'advanced',
        'fields'     => array(
        	array(
				'name'     => esc_html__( 'Logo', 'oswald_lite_extension' ),
				'id'          => "mb_customize_logo",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'custom' => esc_html__( 'custom', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
			),
			array(
				'name'             => esc_html__( 'Header Logo', 'oswald_lite_extension' ),
				'id'               => "mb_header_logo",
				'type'             => 'image_advanced',
				'max_file_uploads' => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_logo','=','custom')
					)),
				),
			),
			array(
				'id'   => 'mb_logo_height_custom',
				'name' => esc_html__( 'Enable Logo Height', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_customize_logo','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Set Logo Height', 'oswald_lite_extension' ),
				'id'   => "mb_logo_height",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 50,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_logo','=','custom'),
						array('mb_logo_height_custom','=',true)
					)),
				),
			),
			array(
				'name' => esc_html__( 'Don\'t limit maximum height', 'oswald_lite_extension' ),
				'id'   => "mb_logo_max_height",
				'type' => 'checkbox',
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_logo','=','custom'),
						array('mb_logo_height_custom','=',true)
					)),
				),
			),
			array(
				'name' => esc_html__( 'Set Sticky Logo Height', 'oswald_lite_extension' ),
				'id'   => "mb_sticky_logo_height",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_logo','=','custom'),
						array('mb_logo_height_custom','=',true),
						array('mb_logo_max_height','=',true),
					)),
				),
			),
			array(
				'name'             => esc_html__( 'Sticky Logo', 'oswald_lite_extension' ),
				'id'               => "mb_logo_sticky",
				'type'             => 'image_advanced',
				'max_file_uploads' => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_logo','=','custom')
					)),
				),
			),
			array(
				'name'             => esc_html__( 'Mobile Logo', 'oswald_lite_extension' ),
				'id'               => "mb_logo_mobile",
				'type'             => 'image_advanced',
				'max_file_uploads' => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_logo','=','custom')
					)),
				),
			),
        )
    );
    return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_header_option_meta_boxes' );
function oswald_header_option_meta_boxes( $meta_boxes ) {
	$meta_boxes[] = array(
        'title'      => esc_html__( 'Header Layout and Color', 'oswald_lite_extension' ),
        'post_types' => array( 'page' ),
        'context' => 'advanced',
        'fields'     => array(
        	array(
				'name'     => esc_html__( 'Header Settings', 'oswald_lite_extension' ),
				'id'          => "mb_customize_header_layout",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'custom' => esc_html__( 'custom', 'oswald_lite_extension' ),
					'none' => esc_html__( 'none', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
			),
			// Top header settings
			array(
				'name'     => esc_html__( 'Top Header Settings', 'oswald_lite_extension' ),
				'id'          => "mb_customize_top_header_layout",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'custom' => esc_html__( 'custom', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Top Header Background', 'oswald_lite_extension' ),
				'id'   => "mb_top_header_background",
				'type' => 'color',
				'std'         => '#f5f5f5',
				'js_options' => array(
					'defaultColor' => '#f5f5f5',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_top_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Top Header Background Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_top_header_background_opacity",
				'type' => 'number',
				'std'  => 0.44,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_top_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Text Color', 'oswald_lite_extension' ),
				'id'   => "mb_top_header_color",
				'type' => 'color',
				'std'         => '#94958d',
				'js_options' => array(
					'defaultColor' => '#94958d',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_top_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Text Hover Color', 'oswald_lite_extension' ),
				'id'   => "mb_top_header_color_hover",
				'type' => 'color',
				'std'         => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#ffffff',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_top_header_layout','=','custom')
					)),
				),
			),
			array(
				'id'   => 'mb_top_header_bottom_border',
				'name' => esc_html__( 'Set Top Header Bottom Border', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_top_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Top Header Border color', 'oswald_lite_extension' ),
				'id'   => "mb_header_top_bottom_border_color",
				'type' => 'color',
				'std'         => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_top_header_layout','=','custom'),
						array('mb_top_header_bottom_border','=',true)
					)),
				),
			),
			array(
				'name' => esc_html__( 'Top Header Border Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_header_top_bottom_border_color_opacity",
				'type' => 'number',
				'std'  => 0.1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_top_header_layout','=','custom'),
						array('mb_top_header_bottom_border','=',true)
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Middle Header Settings', 'oswald_lite_extension' ),
				'id'          => "mb_customize_middle_header_layout",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'custom' => esc_html__( 'custom', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom')
					)),
				),
			),

			// Middle header settings
			array(
				'name' => esc_html__( 'Middle Header Background', 'oswald_lite_extension' ),
				'id'   => "mb_middle_header_background",
				'type' => 'color',
				'std'         => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#ffffff',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_middle_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Middle Header Background Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_middle_header_background_opacity",
				'type' => 'number',
				'std'  => 0.44,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_middle_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Middle Header Text Color', 'oswald_lite_extension' ),
				'id'   => "mb_middle_header_color",
				'type' => 'color',
				'std'         => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_middle_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Middle Header Text Hover Color', 'oswald_lite_extension' ),
				'id'   => "mb_middle_header_color_hover",
				'type' => 'color',
				'std'         => '#28b8dc',
				'js_options' => array(
					'defaultColor' => '#28b8dc',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_middle_header_layout','=','custom')
					)),
				),
			),
			array(
				'id'   => 'mb_middle_header_bottom_border',
				'name' => esc_html__( 'Set Middle Header Bottom Border', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_middle_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Middle Header Border color', 'oswald_lite_extension' ),
				'id'   => "mb_header_middle_bottom_border_color",
				'type' => 'color',
				'std'         => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_middle_header_layout','=','custom'),
						array('mb_middle_header_bottom_border','=',true)
					)),
				),
			),
			array(
				'name' => esc_html__( 'Middle Header Border Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_header_middle_bottom_border_color_opacity",
				'type' => 'number',
				'std'  => 0.1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_middle_header_layout','=','custom'),
						array('mb_middle_header_bottom_border','=',true)
					)),
				),
			),

			// Bottom header settings
			array(
				'name'     => esc_html__( 'Bottom Header Settings', 'oswald_lite_extension' ),
				'id'          => "mb_customize_bottom_header_layout",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'custom' => esc_html__( 'custom', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Bottom Header Background', 'oswald_lite_extension' ),
				'id'   => "mb_bottom_header_background",
				'type' => 'color',
				'std'         => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#ffffff',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_bottom_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Bottom Header Background Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_bottom_header_background_opacity",
				'type' => 'number',
				'std'  => 0.44,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_bottom_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Bottom Header Text Color', 'oswald_lite_extension' ),
				'id'   => "mb_bottom_header_color",
				'type' => 'color',
				'std'         => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_bottom_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Bottom Header Text Hover Color', 'oswald_lite_extension' ),
				'id'   => "mb_bottom_header_color_hover",
				'type' => 'color',
				'std'         => '#28b8dc',
				'js_options' => array(
					'defaultColor' => '#28b8dc',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_bottom_header_layout','=','custom')
					)),
				),
			),
			array(
				'id'   => 'mb_bottom_header_bottom_border',
				'name' => esc_html__( 'Set Bottom Header Bottom Border', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_bottom_header_layout','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Bottom Header Border color', 'oswald_lite_extension' ),
				'id'   => "mb_header_bottom_bottom_border_color",
				'type' => 'color',
				'std'         => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_bottom_header_layout','=','custom'),
						array('mb_bottom_header_bottom_border','=',true)
					)),
				),
			),
			array(
				'name' => esc_html__( 'Bottom Header Border Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_header_bottom_bottom_border_color_opacity",
				'type' => 'number',
				'std'  => 0.1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_customize_header_layout','=','custom'),
						array('mb_customize_bottom_header_layout','=','custom'),
						array('mb_bottom_header_bottom_border','=',true)
					)),
				),
			),





			//mobile options 
			array(
				'id'   => 'mb_header_on_bg',
				'name' => esc_html__( 'Header Above Content', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 0,
			),



			// Mobile Top header settings
			array(
				'name'     => esc_html__( 'Top Mobile Header Settings', 'oswald_lite_extension' ),
				'id'          => "mb_customize_top_header_layout_mobile",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'custom' => esc_html__( 'custom', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_header_on_bg','=','1')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Top Mobile Header Background', 'oswald_lite_extension' ),
				'id'   => "mb_top_header_background_mobile",
				'type' => 'color',
				'std'         => '#f5f5f5',
				'js_options' => array(
					'defaultColor' => '#f5f5f5',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_header_on_bg','=','1'),
						array('mb_customize_top_header_layout_mobile','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Top Mobile Header Background Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_top_header_background_opacity_mobile",
				'type' => 'number',
				'std'  => 1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_header_on_bg','=','1'),
						array('mb_customize_top_header_layout_mobile','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Top Mobile Header Text Color', 'oswald_lite_extension' ),
				'id'   => "mb_top_header_color_mobile",
				'type' => 'color',
				'std'         => '#94958d',
				'js_options' => array(
					'defaultColor' => '#94958d',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_header_on_bg','=','1'),
						array('mb_customize_top_header_layout_mobile','=','custom')
					)),
				),
			),



			// Mobile Middle header settings
			array(
				'name'     => esc_html__( 'Middle Mobile Header Settings', 'oswald_lite_extension' ),
				'id'          => "mb_customize_middle_header_layout_mobile",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'custom' => esc_html__( 'custom', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_header_on_bg','=','1')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Middle Mobile Header Background', 'oswald_lite_extension' ),
				'id'   => "mb_middle_header_background_mobile",
				'type' => 'color',
				'std'         => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#ffffff',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_header_on_bg','=','1'),
						array('mb_customize_middle_header_layout_mobile','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Middle Mobile Header Background Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_middle_header_background_opacity_mobile",
				'type' => 'number',
				'std'  => 1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_header_on_bg','=','1'),
						array('mb_customize_middle_header_layout_mobile','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Middle Mobile Header Text Color', 'oswald_lite_extension' ),
				'id'   => "mb_middle_header_color_mobile",
				'type' => 'color',
				'std'         => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_header_on_bg','=','1'),
						array('mb_customize_middle_header_layout_mobile','=','custom')
					)),
				),
			),


			// Mobile Bottom header settings
			array(
				'name'     => esc_html__( 'Bottom Mobile Header Settings', 'oswald_lite_extension' ),
				'id'          => "mb_customize_bottom_header_layout_mobile",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'custom' => esc_html__( 'custom', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_header_on_bg','=','1')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Bottom Mobile Header Background', 'oswald_lite_extension' ),
				'id'   => "mb_bottom_header_background_mobile",
				'type' => 'color',
				'std'         => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#ffffff',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_header_on_bg','=','1'),
						array('mb_customize_bottom_header_layout_mobile','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Bottom Mobile Header Background Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_bottom_header_background_opacity_mobile",
				'type' => 'number',
				'std'  => 1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_header_on_bg','=','1'),
						array('mb_customize_bottom_header_layout_mobile','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Bottom Mobile Header Text Color', 'oswald_lite_extension' ),
				'id'   => "mb_bottom_header_color_mobile",
				'type' => 'color',
				'std'         => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_header_on_bg','=','1'),
						array('mb_customize_bottom_header_layout_mobile','=','custom')
					)),
				),
			),

        )

	);
	return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_header_meta_boxes' );
function oswald_header_meta_boxes( $meta_boxes ) {
	if (function_exists('oswald_header_presets')) {
		$presets = oswald_header_presets ();
		$presets_array = array();
		$i = 1;
		$presets_array['default'] = esc_url(ReduxFramework::$_url) . 'assets/img/header_0.jpg';

		foreach ($presets as $key => $value) {
			$presets_array[$key] = esc_url(ReduxFramework::$_url) . 'assets/img/header_'.(int)$i.'.jpg';
			$i++;
		}
	}else{
		$presets_array = array();
	}
	
    $meta_boxes[] = array(
        'title'      => esc_html__( 'Header Builder', 'oswald_lite_extension' ),
        'post_types' => array( 'page' ),
        'context' => 'advanced',
        'fields'     => array(
			array(
				'name'     => esc_html__( 'Choose presets', 'oswald_lite_extension' ),
				'id'          => "mb_header_presets",
				'type'        => 'image_select',
				'options'     => $presets_array,
				'multiple'    => false,
				'std'         => 'default', 
			),
        )
    );
    return $meta_boxes;
}


add_filter( 'rwmb_meta_boxes', 'oswald_page_title_meta_boxes' );
function oswald_page_title_meta_boxes( $meta_boxes ) {
    $meta_boxes[] = array(
        'title'      => esc_html__( 'Page Title Options', 'oswald_lite_extension' ),
        'post_types' => array( 'page', 'post', 'team', 'portfolio' ),
        'context' => 'advanced',
        'fields'     => array(
			array(
				'name'     => esc_html__( 'Show Page Title', 'oswald_lite_extension' ),
				'id'          => "mb_page_title_conditional",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'yes' => esc_html__( 'yes', 'oswald_lite_extension' ),
					'no' => esc_html__( 'no', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
			),
			array(
				'name' => esc_html__( 'Page Sub Title Text', 'oswald_lite_extension' ),
				'id'   => "mb_page_sub_title",
				'type' => 'textarea',
				'cols' => 20,
				'rows' => 3,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_page_title_conditional','!=','no'),
					)),
				),
			),
			array(
				'id'   => 'mb_show_breadcrumbs',
				'name' => esc_html__( 'Show Breadcrumbs', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Vertical Alignment', 'oswald_lite_extension' ),
				'id'       => 'mb_page_title_vertical_align',
				'type'     => 'select_advanced',
				'options'  => array(
					'top' => esc_html__( 'top', 'oswald_lite_extension' ),
					'middle' => esc_html__( 'middle', 'oswald_lite_extension' ),
					'bottom' => esc_html__( 'bottom', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'middle',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Horizontal Alignment', 'oswald_lite_extension' ),
				'id'       => 'mb_page_title_horizontal_align',
				'type'     => 'select_advanced',
				'options'  => array(
					'left' => esc_html__( 'left', 'oswald_lite_extension' ),
					'center' => esc_html__( 'center', 'oswald_lite_extension' ),
					'right' => esc_html__( 'right', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'left',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Font Color', 'oswald_lite_extension' ),
				'id'   => "mb_page_title_font_color",
				'type' => 'color',
				'std'         => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Background Color', 'oswald_lite_extension' ),
				'id'   => "mb_page_title_bg_color",
				'type' => 'color',
				'std'  => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#ffffff',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name'             => esc_html__( 'Page Title Background Image', 'oswald_lite_extension' ),
				'id'               => "mb_page_title_bg_image",
				'type'             => 'file_advanced',
				'max_file_uploads' => 1,
				'mime_type'        => 'image',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Background Repeat', 'oswald_lite_extension' ),
				'id'       => 'mb_page_title_bg_repeat',
				'type'     => 'select_advanced',
				'options'  => array(
					'no-repeat' => esc_html__( 'no-repeat', 'oswald_lite_extension' ),
					'repeat' => esc_html__( 'repeat', 'oswald_lite_extension' ),
					'repeat-x' => esc_html__( 'repeat-x', 'oswald_lite_extension' ),
					'repeat-y' => esc_html__( 'repeat-y', 'oswald_lite_extension' ),
					'inherit' => esc_html__( 'inherit', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'repeat',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Background Size', 'oswald_lite_extension' ),
				'id'       => 'mb_page_title_bg_size',
				'type'     => 'select_advanced',
				'options'  => array(
					'inherit' => esc_html__( 'inherit', 'oswald_lite_extension' ),
					'cover' => esc_html__( 'cover', 'oswald_lite_extension' ),
					'contain' => esc_html__( 'contain', 'oswald_lite_extension' )
				),
				'multiple' => false,
				'std'         => 'cover',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Background Attachment', 'oswald_lite_extension' ),
				'id'       => 'mb_page_title_bg_attachment',
				'type'     => 'select_advanced',
				'options'  => array(
					'fixed' => esc_html__( 'fixed', 'oswald_lite_extension' ),
					'scroll' => esc_html__( 'scroll', 'oswald_lite_extension' ),
					'inherit' => esc_html__( 'inherit', 'oswald_lite_extension' )
				),
				'multiple' => false,
				'std'         => 'scroll',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Background Position', 'oswald_lite_extension' ),
				'id'       => 'mb_page_title_bg_position',
				'type'     => 'select_advanced',
				'options'  => array(
					'left top' => esc_html__( 'left top', 'oswald_lite_extension' ),
					'left center' => esc_html__( 'left center', 'oswald_lite_extension' ),
					'left bottom' => esc_html__( 'left bottom', 'oswald_lite_extension' ),
					'center top' => esc_html__( 'center top', 'oswald_lite_extension' ),
					'center center' => esc_html__( 'center center', 'oswald_lite_extension' ),
					'center bottom' => esc_html__( 'center bottom', 'oswald_lite_extension' ),
					'right top' => esc_html__( 'right top', 'oswald_lite_extension' ),
					'right center' => esc_html__( 'right center', 'oswald_lite_extension' ),
					'right bottom' => esc_html__( 'right bottom', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'center center',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Height', 'oswald_lite_extension' ),
				'id'   => "mb_page_title_height",
				'type' => 'number',
				'std'  => 200,
				'min'  => 0,
				'step' => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'id'   => 'mb_page_title_top_border',
				'name' => esc_html__( 'Set Page Title Top Border?', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Page Title Top Border Color', 'oswald_lite_extension' ),
				'id'   => "mb_page_title_top_border_color",
				'type' => 'color',
				'std'         => '#eff0ed',
				'js_options' => array(
					'defaultColor' => '#eff0ed',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_page_title_conditional','=','yes'),
						array('mb_page_title_top_border','=',true)
					)),
				),
			),
			array(
				'name' => esc_html__( 'Page Title Top Border Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_page_title_top_border_color_opacity",
				'type' => 'number',
				'std'  => 1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_page_title_conditional','=','yes'),
						array('mb_page_title_top_border','=',true)
					)),
				),
			),

			array(
				'id'   => 'mb_page_title_bottom_border',
				'name' => esc_html__( 'Set Page Title Bottom Border?', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_page_title_conditional','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Page Title Bottom Border Color', 'oswald_lite_extension' ),
				'id'   => "mb_page_title_bottom_border_color",
				'type' => 'color',
				'std'         => '#eff0ed',
				'js_options' => array(
					'defaultColor' => '#eff0ed',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_page_title_conditional','=','yes'),
						array('mb_page_title_bottom_border','=',true)
					)),
				),
			),
			array(
				'name' => esc_html__( 'Page Title Bottom Border Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_page_title_bottom_border_color_opacity",
				'type' => 'number',
				'std'  => 1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_page_title_conditional','=','yes'),
						array('mb_page_title_bottom_border','=',true)
					)),
				),
			),
        ),
    );
    return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_footer_meta_boxes' );
function oswald_footer_meta_boxes( $meta_boxes ) {
    $meta_boxes[] = array(
        'title'      => esc_html__( 'Footer Options', 'oswald_lite_extension' ),
        'post_types' => array( 'page' ),
        'context' => 'advanced',
        'fields'     => array(
        	array(
				'name'     => esc_html__( 'Show Footer', 'oswald_lite_extension' ),
				'id'          => "mb_footer_switch",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'yes' => esc_html__( 'yes', 'oswald_lite_extension' ),
					'no' => esc_html__( 'no', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
			),
			array(
				'name'     => esc_html__( 'Footer Column', 'oswald_lite_extension' ),
				'id'          => "mb_footer_column",
				'type'        => 'select',
				'options'     => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',				
				),
				'multiple'    => false,
				'std'         => '4',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Footer Column 1', 'oswald_lite_extension' ),
				'id'          => "mb_footer_sidebar_1",
				'type'        => 'select',
				'options'     => oswald_get_all_sidebar(),
				'multiple'    => false,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Footer Column 2', 'oswald_lite_extension' ),
				'id'          => "mb_footer_sidebar_2",
				'type'        => 'select',
				'options'     => oswald_get_all_sidebar(),
				'multiple'    => false,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes'),
						array('mb_footer_column','!=','1')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Footer Column 3', 'oswald_lite_extension' ),
				'id'          => "mb_footer_sidebar_3",
				'type'        => 'select',
				'options'     => oswald_get_all_sidebar(),
				'multiple'    => false,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes'),
						array('mb_footer_column','!=','1'),
						array('mb_footer_column','!=','2')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Footer Column 4', 'oswald_lite_extension' ),
				'id'          => "mb_footer_sidebar_4",
				'type'        => 'select',
				'options'     => oswald_get_all_sidebar(),
				'multiple'    => false,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes'),
						array('mb_footer_column','!=','1'),
						array('mb_footer_column','!=','2'),
						array('mb_footer_column','!=','3')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Footer Column Layout', 'oswald_lite_extension' ),
				'id'          => "mb_footer_column2",
				'type'        => 'select',
				'options'     => array(
					'6-6' => '50% / 50%',
                    '3-9' => '25% / 75%',
                    '9-3' => '75% / 25%',
                    '4-8' => '33% / 66%',
                    '8-3' => '66% / 33%',				
				),
				'multiple'    => false,
				'std'         => '6-6',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes'),
						array('mb_footer_column','=','2')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Footer Column Layout', 'oswald_lite_extension' ),
				'id'          => "mb_footer_column3",
				'type'        => 'select',
				'options'     => array(
					'4-4-4' => '33% / 33% / 33%',
                    '3-3-6' => '25% / 25% / 50%',
                    '3-6-3' => '25% / 50% / 25%',
                    '6-3-3' => '50% / 25% / 25%',				
				),
				'multiple'    => false,
				'std'         => '4-4-4',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes'),
						array('mb_footer_column','=','3')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Footer Title Text Align', 'oswald_lite_extension' ),
				'id'          => "mb_footer_align",
				'type'        => 'select',
				'options'     => array(
					'left' => 'Left',
                    'center' => 'Center',
                    'right' => 'Right'			
				),
				'multiple'    => false,
				'std'         => 'left',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Padding Top (px)', 'oswald_lite_extension' ),
				'id'   => "mb_padding_top",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 70,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Padding Bottom (px)', 'oswald_lite_extension' ),
				'id'   => "mb_padding_bottom",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 70,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Padding Left (px)', 'oswald_lite_extension' ),
				'id'   => "mb_padding_left",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Padding Right (px)', 'oswald_lite_extension' ),
				'id'   => "mb_padding_right",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'id'   => 'mb_footer_full_width',
				'name' => esc_html__( 'Full Width Footer', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Background Color', 'oswald_lite_extension' ),
				'id'   => "mb_footer_bg_color",
				'type' => 'color',
				'std'  => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#ffffff',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Footer Text Color', 'oswald_lite_extension' ),
				'id'   => "mb_footer_text_color",
				'type' => 'color',
				'std'  => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Footer Heading Color', 'oswald_lite_extension' ),
				'id'   => "mb_footer_heading_color",
				'type' => 'color',
				'std'  => '#fafafa',
				'js_options' => array(
					'defaultColor' => '#fafafa',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'             => esc_html__( 'Footer Background Image', 'oswald_lite_extension' ),
				'id'               => "mb_footer_bg_image",
				'type'             => 'file_advanced',
				'max_file_uploads' => 1,
				'mime_type'        => 'image',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Background Repeat', 'oswald_lite_extension' ),
				'id'       => 'mb_footer_bg_repeat',
				'type'     => 'select_advanced',
				'options'  => array(
					'no-repeat' => esc_html__( 'no-repeat', 'oswald_lite_extension' ),
					'repeat' => esc_html__( 'repeat', 'oswald_lite_extension' ),
					'repeat-x' => esc_html__( 'repeat-x', 'oswald_lite_extension' ),
					'repeat-y' => esc_html__( 'repeat-y', 'oswald_lite_extension' ),
					'inherit' => esc_html__( 'inherit', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'repeat',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Background Size', 'oswald_lite_extension' ),
				'id'       => 'mb_footer_bg_size',
				'type'     => 'select_advanced',
				'options'  => array(
					'inherit' => esc_html__( 'inherit', 'oswald_lite_extension' ),
					'cover' => esc_html__( 'cover', 'oswald_lite_extension' ),
					'contain' => esc_html__( 'contain', 'oswald_lite_extension' )
				),
				'multiple' => false,
				'std'         => 'cover',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Background Attachment', 'oswald_lite_extension' ),
				'id'       => 'mb_footer_attachment',
				'type'     => 'select_advanced',
				'options'  => array(
					'fixed' => esc_html__( 'fixed', 'oswald_lite_extension' ),
					'scroll' => esc_html__( 'scroll', 'oswald_lite_extension' ),
					'inherit' => esc_html__( 'inherit', 'oswald_lite_extension' )
				),
				'multiple' => false,
				'std'         => 'scroll',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Background Position', 'oswald_lite_extension' ),
				'id'       => 'mb_footer_bg_position',
				'type'     => 'select_advanced',
				'options'  => array(
					'left top' => esc_html__( 'left top', 'oswald_lite_extension' ),
					'left center' => esc_html__( 'left center', 'oswald_lite_extension' ),
					'left bottom' => esc_html__( 'left bottom', 'oswald_lite_extension' ),
					'center top' => esc_html__( 'center top', 'oswald_lite_extension' ),
					'center center' => esc_html__( 'center center', 'oswald_lite_extension' ),
					'center bottom' => esc_html__( 'center bottom', 'oswald_lite_extension' ),
					'right top' => esc_html__( 'right top', 'oswald_lite_extension' ),
					'right center' => esc_html__( 'right center', 'oswald_lite_extension' ),
					'right bottom' => esc_html__( 'right bottom', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'center center',
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				),
			),

			array(
				'id'   => 'mb_copyright_switch',
				'name' => esc_html__( 'Show Copyright', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				), 
			),
			array(
				'name' => esc_html__( 'Copyright Editor', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_editor",
				'type' => 'textarea',
				'cols' => 20,
				'rows' => 3,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),


			array(
				'name'     => esc_html__( 'Copyright Column', 'oswald_lite_extension' ),
				'id'          => "mb_copyright_column",
				'type'        => 'select',
				'options'     => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',			
				),
				'multiple'    => false,
				'std'         => '3',
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Copyright Column 1', 'oswald_lite_extension' ),
				'id'          => "mb_copyright_sidebar_1",
				'type'        => 'select',
				'options'     => oswald_get_all_sidebar(),
				'multiple'    => false,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Copyright Column 2', 'oswald_lite_extension' ),
				'id'          => "mb_copyright_sidebar_2",
				'type'        => 'select',
				'options'     => oswald_get_all_sidebar(),
				'multiple'    => false,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes'),
						array('mb_copyright_column','!=','1')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Copyright Column 3', 'oswald_lite_extension' ),
				'id'          => "mb_copyright_sidebar_3",
				'type'        => 'select',
				'options'     => oswald_get_all_sidebar(),
				'multiple'    => false,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes'),
						array('mb_copyright_column','!=','1'),
						array('mb_copyright_column','!=','2')
					)),
				),
			),


			array(
				'name'     => esc_html__( 'Copyright Text Align', 'oswald_lite_extension' ),
				'id'       => 'mb_copyright_align',
				'type'     => 'select',
				'options'  => array(
					'left' => esc_html__( 'left', 'oswald_lite_extension' ),
					'center' => esc_html__( 'center', 'oswald_lite_extension' ),
					'right' => esc_html__( 'right', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'left',
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Copyright Text Align 2 Column', 'oswald_lite_extension' ),
				'id'       => 'mb_copyright_align_2',
				'type'     => 'select',
				'options'  => array(
					'left' => esc_html__( 'left', 'oswald_lite_extension' ),
					'center' => esc_html__( 'center', 'oswald_lite_extension' ),
					'right' => esc_html__( 'right', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'center',
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes'),
						array('mb_copyright_column','!=','1')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Copyright Text Align 3 Column', 'oswald_lite_extension' ),
				'id'       => 'mb_copyright_align_3',
				'type'     => 'select',
				'options'  => array(
					'left' => esc_html__( 'left', 'oswald_lite_extension' ),
					'center' => esc_html__( 'center', 'oswald_lite_extension' ),
					'right' => esc_html__( 'right', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'right',
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes'),
						array('mb_copyright_column','!=','1'),
						array('mb_copyright_column','!=','2')
					)),
				),
			),

			array(
				'name' => esc_html__( 'Copyright Padding Top (px)', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_padding_top",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 20,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Copyright Padding Bottom (px)', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_padding_bottom",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 20,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Copyright Padding Left (px)', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_padding_left",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Copyright Padding Right (px)', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_padding_right",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Copyright Background Color', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_bg_color",
				'type' => 'color',
				'std'  => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#ffffff',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Copyright Text Color', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_text_color",
				'type' => 'color',
				'std'  => '#898a8e',
				'js_options' => array(
					'defaultColor' => '#898a8e',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Copyright Heading Color', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_heading_color",
				'type' => 'color',
				'std'  => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'id'   => 'mb_copyright_top_border',
				'name' => esc_html__( 'Set Copyright Top Border?', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Copyright Border Color', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_top_border_color",
				'type' => 'color',
				'std'         => '#2b4764',
				'js_options' => array(
					'defaultColor' => '#2b4764',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes'),
						array('mb_copyright_top_border','=',true)
					)),
				),
			),
			array(
				'name' => esc_html__( 'Copyright Border Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_copyright_top_border_color_opacity",
				'type' => 'number',
				'std'  => 1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_copyright_switch','=',true),
						array('mb_footer_switch','=','yes'),
						array('mb_copyright_top_border','=',true)
					)),
				),
			),

			//prefooter
			array(
				'id'   => 'mb_pre_footer_switch',
				'name' => esc_html__( 'Show Pre Footer Area', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_footer_switch','=','yes')
					)),
				), 
			),
			array(
				'name' => esc_html__( 'Pre Footer Editor', 'oswald_lite_extension' ),
				'id'   => "mb_pre_footer_editor",
				'type' => 'textarea',
				'cols' => 20,
				'rows' => 3,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_pre_footer_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name'     => esc_html__( 'Pre Footer Title Text Align', 'oswald_lite_extension' ),
				'id'       => 'mb_pre_footer_align',
				'type'     => 'select',
				'options'  => array(
					'left' => esc_html__( 'left', 'oswald_lite_extension' ),
					'center' => esc_html__( 'center', 'oswald_lite_extension' ),
					'right' => esc_html__( 'right', 'oswald_lite_extension' ),
				),
				'multiple' => false,
				'std'         => 'left',
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_pre_footer_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Pre Footer Padding Top (px)', 'oswald_lite_extension' ),
				'id'   => "mb_pre_footer_padding_top",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 20,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_pre_footer_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Pre Footer Padding Bottom (px)', 'oswald_lite_extension' ),
				'id'   => "mb_pre_footer_padding_bottom",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 20,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_pre_footer_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Pre Footer Padding Left (px)', 'oswald_lite_extension' ),
				'id'   => "mb_pre_footer_padding_left",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_pre_footer_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Pre Footer Padding Right (px)', 'oswald_lite_extension' ),
				'id'   => "mb_pre_footer_padding_right",
				'type' => 'number',
				'min'  => 0,
				'step' => 1,
				'std'  => 0,
				'attributes' => array(
				    'data-dependency'  =>  array( array(						
						array('mb_pre_footer_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'id'   => 'mb_pre_footer_bottom_border',
				'name' => esc_html__( 'Set Pre Footer Bottom Border?', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_pre_footer_switch','=',true),
						array('mb_footer_switch','=','yes')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Pre Footer Border Color', 'oswald_lite_extension' ),
				'id'   => "mb_pre_footer_bottom_border_color",
				'type' => 'color',
				'std'         => '#f0f0f0',
				'js_options' => array(
					'defaultColor' => '#f0f0f0',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_pre_footer_switch','=',true),
						array('mb_footer_switch','=','yes'),
						array('mb_pre_footer_bottom_border','=',true)
					)),
				),
			),
			array(
				'name' => esc_html__( 'Pre Footer Border Opacity', 'oswald_lite_extension' ),
				'id'   => "mb_pre_footer_bottom_border_color_opacity",
				'type' => 'number',
				'std'  => 1,
				'min'  => 0,
				'max'  => 1,
				'step' => 0.01,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
				    	array('mb_pre_footer_switch','=',true),
						array('mb_footer_switch','=','yes'),
						array('mb_pre_footer_bottom_border','=',true)
					)),
				),
			),
        ),
     );
    return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_preloader_meta_boxes' );
function oswald_preloader_meta_boxes( $meta_boxes ) {
    $meta_boxes[] = array(
        'title'      => esc_html__( 'Preloader Options', 'oswald_lite_extension' ),
        'post_types' => array( 'page' ),
        'context' => 'advanced',
        'fields'     => array(
        	array(
				'name'     => esc_html__( 'Preloader', 'oswald_lite_extension' ),
				'id'          => "mb_preloader",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'custom' => esc_html__( 'custom', 'oswald_lite_extension' ),
					'none' => esc_html__( 'none', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
			),
			array(
				'name' => esc_html__( 'Preloader Background', 'oswald_lite_extension' ),
				'id'   => "mb_preloader_background",
				'type' => 'color',
				'std'         => '#ffffff',
				'js_options' => array(
					'defaultColor' => '#ffffff',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_preloader','=','custom')
					)),
				),
			),
			array(
				'name' => esc_html__( 'Preloader Item Color', 'oswald_lite_extension' ),
				'id'   => "mb_preloader_item_color",
				'type' => 'color',
				'std'         => '#000000',
				'js_options' => array(
					'defaultColor' => '#000000',
				),
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_preloader','=','custom')
					)),
				),
			),
			array(
				'name'             => esc_html__( 'Preloader Logo', 'oswald_lite_extension' ),
				'id'               => "mb_preloader_item_logo",
				'type'             => 'image_advanced',
				'size'		=> 'full',
				'max_file_uploads' => 1,
				'max_status' => true,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_preloader','=','custom')
					)),
				),
			),
			array(
				'id'   => 'mb_preloader_full',
				'name' => esc_html__( 'Preloader Fullscreen', 'oswald_lite_extension' ),
				'type' => 'checkbox',
				'std'  => 1,
				'attributes' => array(
				    'data-dependency'  =>  array( array(
						array('mb_preloader','=','custom')
					)),
				),
			),
        )
    );
    return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_contact_widget_meta_boxes' );
function oswald_contact_widget_meta_boxes( $meta_boxes ) {

    $meta_boxes[] = array(
        'title'      => esc_html__( 'Contact Widget', 'oswald_lite_extension' ),
        'post_types' => array( 'page' , 'post', 'team', 'practice' ),
        'context' => 'advanced',
        'fields'     => array(
        	array(
				'name'     => esc_html__( 'Display Contact Widget', 'oswald_lite_extension' ),
				'id'          => "mb_display_contact_widget",
				'type'        => 'select',
				'options'     => array(
					'default' => esc_html__( 'default', 'oswald_lite_extension' ),
					'on' => esc_html__( 'On', 'oswald_lite_extension' ),
					'off' => esc_html__( 'Off', 'oswald_lite_extension' ),
				),
				'multiple'    => false,
				'std'         => 'default',
			),
        )
    );
    return $meta_boxes;
}

add_filter( 'rwmb_meta_boxes', 'oswald_shortcode_meta_boxes' );
function oswald_shortcode_meta_boxes( $meta_boxes ) {
	$meta_boxes[] = array(
		'title'      => esc_html__( 'Shortcode Above Content', 'oswald_lite_extension' ),
		'post_types' => array( 'page' ),
		'context' => 'advanced',
		'fields'     => array(
			array(
				'name' => esc_html__( 'Shortcode', 'oswald_lite_extension' ),
				'id'   => "mb_page_shortcode",
				'type' => 'textarea',
				'cols' => 20,
				'rows' => 3
			),
		),
     );
    return $meta_boxes;
}

?>